searchNodes=[{"ref":"GoogleApi.Genomics.V1.Api.Annotations.html","title":"GoogleApi.Genomics.V1.Api.Annotations","module":"GoogleApi.Genomics.V1.Api.Annotations","type":"module","doc":"API calls for all endpoints tagged Annotations."},{"ref":"GoogleApi.Genomics.V1.Api.Annotations.html#genomics_annotations_batch_create/3","title":"GoogleApi.Genomics.V1.Api.Annotations.genomics_annotations_batch_create/3","module":"GoogleApi.Genomics.V1.Api.Annotations","type":"function","doc":"Creates one or more new annotations atomically. All annotations must belong to the same annotation set. Caller must have WRITE permission for this annotation set. For optimal performance, batch positionally adjacent annotations together. If the request has a systemic issue, such as an attempt to write to an inaccessible annotation set, the entire RPC will fail accordingly. For lesser data issues, when possible an error will be isolated to the corresponding batch entry in the response; the remaining well formed annotations will be created normally. For details on the requirements for each individual annotation resource, see CreateAnnotation. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchCreateAnnotationsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotations.html#genomics_annotations_create/3","title":"GoogleApi.Genomics.V1.Api.Annotations.genomics_annotations_create/3","module":"GoogleApi.Genomics.V1.Api.Annotations","type":"function","doc":"Creates a new annotation. Caller must have WRITE permission for the associated annotation set. The following fields are required: annotationSetId referenceName or referenceId ### Transcripts For annotations of type TRANSCRIPT, the following fields of transcript must be provided: exons.start exons.end All other fields may be optionally specified, unless documented as being server-generated (for example, the &#x60;id&#x60; field). The annotated range must be no longer than 100Mbp (mega base pairs). See the Annotation resource for additional restrictions on each field. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Annotation): Returns {:ok, %GoogleApi.Genomics.V1.Model.Annotation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotations.html#genomics_annotations_delete/4","title":"GoogleApi.Genomics.V1.Api.Annotations.genomics_annotations_delete/4","module":"GoogleApi.Genomics.V1.Api.Annotations","type":"function","doc":"Deletes an annotation. Caller must have WRITE permission for the associated annotation set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server annotation_id (String.t): The ID of the annotation to be deleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotations.html#genomics_annotations_get/4","title":"GoogleApi.Genomics.V1.Api.Annotations.genomics_annotations_get/4","module":"GoogleApi.Genomics.V1.Api.Annotations","type":"function","doc":"Gets an annotation. Caller must have READ permission for the associated annotation set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server annotation_id (String.t): The ID of the annotation to be retrieved. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Annotation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotations.html#genomics_annotations_search/3","title":"GoogleApi.Genomics.V1.Api.Annotations.genomics_annotations_search/3","module":"GoogleApi.Genomics.V1.Api.Annotations","type":"function","doc":"Searches for annotations that match the given criteria. Results are ordered by genomic coordinate (by reference sequence, then position). Annotations with equivalent genomic coordinates are returned in an unspecified order. This order is consistent, such that two queries for the same content (regardless of page size) yield annotations in the same order across their respective streams of paginated responses. Caller must have READ permission for the queried annotation sets. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchAnnotationsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotations.html#genomics_annotations_update/4","title":"GoogleApi.Genomics.V1.Api.Annotations.genomics_annotations_update/4","module":"GoogleApi.Genomics.V1.Api.Annotations","type":"function","doc":"Updates an annotation. Caller must have WRITE permission for the associated dataset. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server annotation_id (String.t): The ID of the annotation to be updated. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): An optional mask specifying which fields to update. Mutable fields are name, variant, transcript, and info. If unspecified, all mutable fields will be updated. :body (Annotation): Returns {:ok, %GoogleApi.Genomics.V1.Model.Annotation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotationsets.html","title":"GoogleApi.Genomics.V1.Api.Annotationsets","module":"GoogleApi.Genomics.V1.Api.Annotationsets","type":"module","doc":"API calls for all endpoints tagged Annotationsets."},{"ref":"GoogleApi.Genomics.V1.Api.Annotationsets.html#genomics_annotationsets_create/3","title":"GoogleApi.Genomics.V1.Api.Annotationsets.genomics_annotationsets_create/3","module":"GoogleApi.Genomics.V1.Api.Annotationsets","type":"function","doc":"Creates a new annotation set. Caller must have WRITE permission for the associated dataset. The following fields are required: datasetId referenceSetId All other fields may be optionally specified, unless documented as being server-generated (for example, the &#x60;id&#x60; field). Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (AnnotationSet): Returns {:ok, %GoogleApi.Genomics.V1.Model.AnnotationSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotationsets.html#genomics_annotationsets_delete/4","title":"GoogleApi.Genomics.V1.Api.Annotationsets.genomics_annotationsets_delete/4","module":"GoogleApi.Genomics.V1.Api.Annotationsets","type":"function","doc":"Deletes an annotation set. Caller must have WRITE permission for the associated annotation set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server annotation_set_id (String.t): The ID of the annotation set to be deleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotationsets.html#genomics_annotationsets_get/4","title":"GoogleApi.Genomics.V1.Api.Annotationsets.genomics_annotationsets_get/4","module":"GoogleApi.Genomics.V1.Api.Annotationsets","type":"function","doc":"Gets an annotation set. Caller must have READ permission for the associated dataset. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server annotation_set_id (String.t): The ID of the annotation set to be retrieved. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.AnnotationSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotationsets.html#genomics_annotationsets_search/3","title":"GoogleApi.Genomics.V1.Api.Annotationsets.genomics_annotationsets_search/3","module":"GoogleApi.Genomics.V1.Api.Annotationsets","type":"function","doc":"Searches for annotation sets that match the given criteria. Annotation sets are returned in an unspecified order. This order is consistent, such that two queries for the same content (regardless of page size) yield annotation sets in the same order across their respective streams of paginated responses. Caller must have READ permission for the queried datasets. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchAnnotationSetsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Annotationsets.html#genomics_annotationsets_update/4","title":"GoogleApi.Genomics.V1.Api.Annotationsets.genomics_annotationsets_update/4","module":"GoogleApi.Genomics.V1.Api.Annotationsets","type":"function","doc":"Updates an annotation set. The update must respect all mutability restrictions and other invariants described on the annotation set resource. Caller must have WRITE permission for the associated dataset. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server annotation_set_id (String.t): The ID of the annotation set to be updated. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): An optional mask specifying which fields to update. Mutable fields are name, source_uri, and info. If unspecified, all mutable fields will be updated. :body (AnnotationSet): Returns {:ok, %GoogleApi.Genomics.V1.Model.AnnotationSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Callsets.html","title":"GoogleApi.Genomics.V1.Api.Callsets","module":"GoogleApi.Genomics.V1.Api.Callsets","type":"module","doc":"API calls for all endpoints tagged Callsets."},{"ref":"GoogleApi.Genomics.V1.Api.Callsets.html#genomics_callsets_create/3","title":"GoogleApi.Genomics.V1.Api.Callsets.genomics_callsets_create/3","module":"GoogleApi.Genomics.V1.Api.Callsets","type":"function","doc":"Creates a new call set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CallSet): Returns {:ok, %GoogleApi.Genomics.V1.Model.CallSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Callsets.html#genomics_callsets_delete/4","title":"GoogleApi.Genomics.V1.Api.Callsets.genomics_callsets_delete/4","module":"GoogleApi.Genomics.V1.Api.Callsets","type":"function","doc":"Deletes a call set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server call_set_id (String.t): The ID of the call set to be deleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Callsets.html#genomics_callsets_get/4","title":"GoogleApi.Genomics.V1.Api.Callsets.genomics_callsets_get/4","module":"GoogleApi.Genomics.V1.Api.Callsets","type":"function","doc":"Gets a call set by ID. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server call_set_id (String.t): The ID of the call set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.CallSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Callsets.html#genomics_callsets_patch/4","title":"GoogleApi.Genomics.V1.Api.Callsets.genomics_callsets_patch/4","module":"GoogleApi.Genomics.V1.Api.Callsets","type":"function","doc":"Updates a call set. This method supports patch semantics. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server call_set_id (String.t): The ID of the call set to be updated. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): An optional mask specifying which fields to update. At this time, the only mutable field is name. The only acceptable value is &quot;name&quot;. If unspecified, all mutable fields will be updated. :body (CallSet): Returns {:ok, %GoogleApi.Genomics.V1.Model.CallSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Callsets.html#genomics_callsets_search/3","title":"GoogleApi.Genomics.V1.Api.Callsets.genomics_callsets_search/3","module":"GoogleApi.Genomics.V1.Api.Callsets","type":"function","doc":"Gets a list of call sets matching the criteria. Implements GlobalAllianceApi.searchCallSets. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchCallSetsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchCallSetsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html","title":"GoogleApi.Genomics.V1.Api.Datasets","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"module","doc":"API calls for all endpoints tagged Datasets."},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_create/3","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_create/3","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Creates a new dataset. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Dataset): Returns {:ok, %GoogleApi.Genomics.V1.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_delete/4","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_delete/4","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Deletes a dataset and all of its contents (all read group sets, reference sets, variant sets, call sets, annotation sets, etc.) This is reversible (up to one week after the deletion) via the datasets.undelete operation. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server dataset_id (String.t): The ID of the dataset to be deleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_get/4","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_get/4","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Gets a dataset by ID. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server dataset_id (String.t): The ID of the dataset. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_get_iam_policy/4","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_get_iam_policy/4","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Gets the access control policy for the dataset. This is empty if the policy or resource does not exist. See &lt;a href&#x3D;&quot;/iam/docs/managing-policies#getting_a_policy&quot;&gt;Getting a Policy&lt;/a&gt; for more information. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server resource (String.t): REQUIRED: The resource for which policy is being specified. Format is &#x60;datasets/&lt;dataset ID&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GetIamPolicyRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_list/3","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_list/3","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Lists datasets within a project. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 50. The maximum value is 1024. :pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. :projectId (String.t): Required. The Google Cloud project ID to list datasets for. Returns {:ok, %GoogleApi.Genomics.V1.Model.ListDatasetsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_patch/4","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_patch/4","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Updates a dataset. This method supports patch semantics. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server dataset_id (String.t): The ID of the dataset to be updated. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): An optional mask specifying which fields to update. At this time, the only mutable field is name. The only acceptable value is &quot;name&quot;. If unspecified, all mutable fields will be updated. :body (Dataset): Returns {:ok, %GoogleApi.Genomics.V1.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_set_iam_policy/4","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_set_iam_policy/4","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Sets the access control policy on the specified dataset. Replaces any existing policy. See &lt;a href&#x3D;&quot;/iam/docs/managing-policies#setting_a_policy&quot;&gt;Setting a Policy&lt;/a&gt; for more information. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server resource (String.t): REQUIRED: The resource for which policy is being specified. Format is &#x60;datasets/&lt;dataset ID&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetIamPolicyRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_test_iam_permissions/4","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_test_iam_permissions/4","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Returns permissions that a caller has on the specified resource. See &lt;a href&#x3D;&quot;/iam/docs/managing-policies#testing_permissions&quot;&gt;Testing Permissions&lt;/a&gt; for more information. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server resource (String.t): REQUIRED: The resource for which policy is being specified. Format is &#x60;datasets/&lt;dataset ID&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TestIamPermissionsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Datasets.html#genomics_datasets_undelete/4","title":"GoogleApi.Genomics.V1.Api.Datasets.genomics_datasets_undelete/4","module":"GoogleApi.Genomics.V1.Api.Datasets","type":"function","doc":"Undeletes a dataset by restoring a dataset which was deleted via this API. This operation is only possible for a week after the deletion occurred. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server dataset_id (String.t): The ID of the dataset to be undeleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UndeleteDatasetRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Operations.html","title":"GoogleApi.Genomics.V1.Api.Operations","module":"GoogleApi.Genomics.V1.Api.Operations","type":"module","doc":"API calls for all endpoints tagged Operations."},{"ref":"GoogleApi.Genomics.V1.Api.Operations.html#genomics_operations_cancel/4","title":"GoogleApi.Genomics.V1.Api.Operations.genomics_operations_cancel/4","module":"GoogleApi.Genomics.V1.Api.Operations","type":"function","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. Clients may use Operations.GetOperation or Operations.ListOperations to check whether the cancellation succeeded or the operation completed despite cancellation. Authorization requires the following Google IAM permission&amp;#58; * &#x60;genomics.operations.cancel&#x60; Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server name (String.t): The name of the operation resource to be cancelled. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CancelOperationRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Operations.html#genomics_operations_get/4","title":"GoogleApi.Genomics.V1.Api.Operations.genomics_operations_get/4","module":"GoogleApi.Genomics.V1.Api.Operations","type":"function","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service. Authorization requires the following Google IAM permission&amp;#58; * &#x60;genomics.operations.get&#x60; Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server name (String.t): The name of the operation resource. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): A string for filtering Operations. In v2alpha1, the following filter fields are supported&amp;#58; createTime&amp;#58; The time this job was created events&amp;#58; The set of event (names) that have occurred while running the pipeline. The &amp;#58; operator can be used to determine if a particular event has occurred. error&amp;#58; If the pipeline is running, this value is NULL. Once the pipeline finishes, the value is the standard Google error code. labels.key or labels.&quot;key with space&quot; where key is a label key. done&amp;#58; If the pipeline is running, this value is false. Once the pipeline finishes, the value is true. In v1 and v1alpha2, the following filter fields are supported&amp;#58; projectId&amp;#58; Required. Corresponds to OperationMetadata.projectId. createTime&amp;#58; The time this job was created, in seconds from the epoch. Can use &#x60;&gt;&#x3D;&#x60; and/or &#x60;&lt;&#x3D;&#x60; operators. status&amp;#58; Can be &#x60;RUNNING&#x60;, &#x60;SUCCESS&#x60;, &#x60;FAILURE&#x60;, or &#x60;CANCELED&#x60;. Only one status may be specified. labels.key where key is a label key. Examples&amp;#58; &#x60;projectId &#x3D; my-project AND createTime &gt;&#x3D; 1432140000&#x60; &#x60;projectId &#x3D; my-project AND createTime &gt;&#x3D; 1432140000 AND createTime &lt;&#x3D; 1432150000 AND status &#x3D; RUNNING&#x60; &#x60;projectId &#x3D; my-project AND labels.color &#x3D; &#x60; &#x60;projectId &#x3D; my-project AND labels.color &#x3D; red&#x60; :pageSize (integer()): The maximum number of results to return. The maximum value is 256. :pageToken (String.t): The standard list page token. Returns {:ok, %GoogleApi.Genomics.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html","title":"GoogleApi.Genomics.V1.Api.Readgroupsets","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"module","doc":"API calls for all endpoints tagged Readgroupsets."},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html#genomics_readgroupsets_coveragebuckets_list/4","title":"GoogleApi.Genomics.V1.Api.Readgroupsets.genomics_readgroupsets_coveragebuckets_list/4","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"function","doc":"Lists fixed width coverage buckets for a read group set, each of which correspond to a range of a reference sequence. Each bucket summarizes coverage information across its corresponding genomic range. Coverage is defined as the number of reads which are aligned to a given base in the reference sequence. Coverage buckets are available at several precomputed bucket widths, enabling retrieval of various coverage &#39;zoom levels&#39;. The caller must have READ permissions for the target read group set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server read_group_set_id (String.t): Required. The ID of the read group set over which coverage is requested. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :end (String.t): The end position of the range on the reference, 0-based exclusive. If specified, &#x60;referenceName&#x60; must also be specified. If unset or 0, defaults to the length of the reference. :pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 1024. The maximum value is 2048. :pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. :referenceName (String.t): The name of the reference to query, within the reference set associated with this query. Optional. :start (String.t): The start position of the range on the reference, 0-based inclusive. If specified, &#x60;referenceName&#x60; must also be specified. Defaults to 0. :targetBucketWidth (String.t): The desired width of each reported coverage bucket in base pairs. This will be rounded down to the nearest precomputed bucket width; the value of which is returned as &#x60;bucketWidth&#x60; in the response. Defaults to infinity (each bucket spans an entire reference sequence) or the length of the target range, if specified. The smallest precomputed &#x60;bucketWidth&#x60; is currently 2048 base pairs; this is subject to change. Returns {:ok, %GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html#genomics_readgroupsets_delete/4","title":"GoogleApi.Genomics.V1.Api.Readgroupsets.genomics_readgroupsets_delete/4","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"function","doc":"Deletes a read group set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server read_group_set_id (String.t): The ID of the read group set to be deleted. The caller must have WRITE permissions to the dataset associated with this read group set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html#genomics_readgroupsets_export/4","title":"GoogleApi.Genomics.V1.Api.Readgroupsets.genomics_readgroupsets_export/4","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"function","doc":"Exports a read group set to a BAM file in Google Cloud Storage. Note that currently there may be some differences between exported BAM files and the original BAM file at the time of import. See ImportReadGroupSets for caveats. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server read_group_set_id (String.t): Required. The ID of the read group set to export. The caller must have READ access to this read group set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ExportReadGroupSetRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html#genomics_readgroupsets_get/4","title":"GoogleApi.Genomics.V1.Api.Readgroupsets.genomics_readgroupsets_get/4","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"function","doc":"Gets a read group set by ID. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server read_group_set_id (String.t): The ID of the read group set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.ReadGroupSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html#genomics_readgroupsets_import/3","title":"GoogleApi.Genomics.V1.Api.Readgroupsets.genomics_readgroupsets_import/3","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"function","doc":"Creates read group sets by asynchronously importing the provided information. The caller must have WRITE permissions to the dataset. ## Notes on BAM import - Tags will be converted to strings - tag types are not preserved - Comments (&#x60;@CO&#x60;) in the input file header will not be preserved - Original header order of references (&#x60;@SQ&#x60;) will not be preserved - Any reverse stranded unmapped reads will be reverse complemented, and their qualities (also the &quot;BQ&quot; and &quot;OQ&quot; tags, if any) will be reversed - Unmapped reads will be stripped of positional information (reference name and position) Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ImportReadGroupSetsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html#genomics_readgroupsets_patch/4","title":"GoogleApi.Genomics.V1.Api.Readgroupsets.genomics_readgroupsets_patch/4","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"function","doc":"Updates a read group set. This method supports patch semantics. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server read_group_set_id (String.t): The ID of the read group set to be updated. The caller must have WRITE permissions to the dataset associated with this read group set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): An optional mask specifying which fields to update. Supported fields: name. referenceSetId. Leaving &#x60;updateMask&#x60; unset is equivalent to specifying all mutable fields. :body (ReadGroupSet): Returns {:ok, %GoogleApi.Genomics.V1.Model.ReadGroupSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Readgroupsets.html#genomics_readgroupsets_search/3","title":"GoogleApi.Genomics.V1.Api.Readgroupsets.genomics_readgroupsets_search/3","module":"GoogleApi.Genomics.V1.Api.Readgroupsets","type":"function","doc":"Searches for read group sets matching the criteria. Implements GlobalAllianceApi.searchReadGroupSets. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchReadGroupSetsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Reads.html","title":"GoogleApi.Genomics.V1.Api.Reads","module":"GoogleApi.Genomics.V1.Api.Reads","type":"module","doc":"API calls for all endpoints tagged Reads."},{"ref":"GoogleApi.Genomics.V1.Api.Reads.html#genomics_reads_search/3","title":"GoogleApi.Genomics.V1.Api.Reads.genomics_reads_search/3","module":"GoogleApi.Genomics.V1.Api.Reads","type":"function","doc":"Gets a list of reads for one or more read group sets. Reads search operates over a genomic coordinate space of reference sequence &amp; position defined over the reference sequences to which the requested read group sets are aligned. If a target positional range is specified, search returns all reads whose alignment to the reference genome overlap the range. A query which specifies only read group set IDs yields all reads in those read group sets, including unmapped reads. All reads returned (including reads on subsequent pages) are ordered by genomic coordinate (by reference sequence, then position). Reads with equivalent genomic coordinates are returned in an unspecified order. This order is consistent, such that two queries for the same content (regardless of page size) yield reads in the same order across their respective streams of paginated responses. Implements GlobalAllianceApi.searchReads. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchReadsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchReadsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.References.html","title":"GoogleApi.Genomics.V1.Api.References","module":"GoogleApi.Genomics.V1.Api.References","type":"module","doc":"API calls for all endpoints tagged References."},{"ref":"GoogleApi.Genomics.V1.Api.References.html#genomics_references_bases_list/4","title":"GoogleApi.Genomics.V1.Api.References.genomics_references_bases_list/4","module":"GoogleApi.Genomics.V1.Api.References","type":"function","doc":"Lists the bases in a reference, optionally restricted to a range. Implements GlobalAllianceApi.getReferenceBases. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server reference_id (String.t): The ID of the reference. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :end (String.t): The end position (0-based, exclusive) of this query. Defaults to the length of this reference. :pageSize (integer()): The maximum number of bases to return in a single page. If unspecified, defaults to 200Kbp (kilo base pairs). The maximum value is 10Mbp (mega base pairs). :pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. :start (String.t): The start position (0-based) of this query. Defaults to 0. Returns {:ok, %GoogleApi.Genomics.V1.Model.ListBasesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.References.html#genomics_references_get/4","title":"GoogleApi.Genomics.V1.Api.References.genomics_references_get/4","module":"GoogleApi.Genomics.V1.Api.References","type":"function","doc":"Gets a reference. Implements GlobalAllianceApi.getReference. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server reference_id (String.t): The ID of the reference. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Reference{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.References.html#genomics_references_search/3","title":"GoogleApi.Genomics.V1.Api.References.genomics_references_search/3","module":"GoogleApi.Genomics.V1.Api.References","type":"function","doc":"Searches for references which match the given criteria. Implements GlobalAllianceApi.searchReferences. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchReferencesRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchReferencesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Referencesets.html","title":"GoogleApi.Genomics.V1.Api.Referencesets","module":"GoogleApi.Genomics.V1.Api.Referencesets","type":"module","doc":"API calls for all endpoints tagged Referencesets."},{"ref":"GoogleApi.Genomics.V1.Api.Referencesets.html#genomics_referencesets_get/4","title":"GoogleApi.Genomics.V1.Api.Referencesets.genomics_referencesets_get/4","module":"GoogleApi.Genomics.V1.Api.Referencesets","type":"function","doc":"Gets a reference set. Implements GlobalAllianceApi.getReferenceSet. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server reference_set_id (String.t): The ID of the reference set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.ReferenceSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Referencesets.html#genomics_referencesets_search/3","title":"GoogleApi.Genomics.V1.Api.Referencesets.genomics_referencesets_search/3","module":"GoogleApi.Genomics.V1.Api.Referencesets","type":"function","doc":"Searches for reference sets which match the given criteria. Implements GlobalAllianceApi.searchReferenceSets Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchReferenceSetsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html","title":"GoogleApi.Genomics.V1.Api.Variants","module":"GoogleApi.Genomics.V1.Api.Variants","type":"module","doc":"API calls for all endpoints tagged Variants."},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html#genomics_variants_create/3","title":"GoogleApi.Genomics.V1.Api.Variants.genomics_variants_create/3","module":"GoogleApi.Genomics.V1.Api.Variants","type":"function","doc":"Creates a new variant. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Variant): Returns {:ok, %GoogleApi.Genomics.V1.Model.Variant{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html#genomics_variants_delete/4","title":"GoogleApi.Genomics.V1.Api.Variants.genomics_variants_delete/4","module":"GoogleApi.Genomics.V1.Api.Variants","type":"function","doc":"Deletes a variant. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server variant_id (String.t): The ID of the variant to be deleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html#genomics_variants_get/4","title":"GoogleApi.Genomics.V1.Api.Variants.genomics_variants_get/4","module":"GoogleApi.Genomics.V1.Api.Variants","type":"function","doc":"Gets a variant by ID. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server variant_id (String.t): The ID of the variant. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Variant{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html#genomics_variants_import/3","title":"GoogleApi.Genomics.V1.Api.Variants.genomics_variants_import/3","module":"GoogleApi.Genomics.V1.Api.Variants","type":"function","doc":"Creates variant data by asynchronously importing the provided information. The variants for import will be merged with any existing variant that matches its reference sequence, start, end, reference bases, and alternative bases. If no such variant exists, a new one will be created. When variants are merged, the call information from the new variant is added to the existing variant, and Variant info fields are merged as specified in infoMergeConfig. As a special case, for single-sample VCF files, QUAL and FILTER fields will be moved to the call level; these are sometimes interpreted in a call-specific context. Imported VCF headers are appended to the metadata already in a variant set. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ImportVariantsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html#genomics_variants_merge/3","title":"GoogleApi.Genomics.V1.Api.Variants.genomics_variants_merge/3","module":"GoogleApi.Genomics.V1.Api.Variants","type":"function","doc":"Merges the given variants with existing variants. Each variant will be merged with an existing variant that matches its reference sequence, start, end, reference bases, and alternative bases. If no such variant exists, a new one will be created. When variants are merged, the call information from the new variant is added to the existing variant. Variant info fields are merged as specified in the infoMergeConfig field of the MergeVariantsRequest. Please exercise caution when using this method! It is easy to introduce mistakes in existing variants and difficult to back out of them. For example, suppose you were trying to merge a new variant with an existing one and both variants contain calls that belong to callsets with the same callset ID. // Existing variant - irrelevant fields trimmed for clarity { &quot;variantSetId&quot;: &quot;10473108253681171589&quot;, &quot;referenceName&quot;: &quot;1&quot;, &quot;start&quot;: &quot;10582&quot;, &quot;referenceBases&quot;: &quot;G&quot;, &quot;alternateBases&quot;: [ &quot;A&quot; ], &quot;calls&quot;: [ { &quot;callSetId&quot;: &quot;10473108253681171589-0&quot;, &quot;callSetName&quot;: &quot;CALLSET0&quot;, &quot;genotype&quot;: [ 0, 1 ], } ] } // New variant with conflicting call information { &quot;variantSetId&quot;: &quot;10473108253681171589&quot;, &quot;referenceName&quot;: &quot;1&quot;, &quot;start&quot;: &quot;10582&quot;, &quot;referenceBases&quot;: &quot;G&quot;, &quot;alternateBases&quot;: [ &quot;A&quot; ], &quot;calls&quot;: [ { &quot;callSetId&quot;: &quot;10473108253681171589-0&quot;, &quot;callSetName&quot;: &quot;CALLSET0&quot;, &quot;genotype&quot;: [ 1, 1 ], } ] } The resulting merged variant would overwrite the existing calls with those from the new variant: { &quot;variantSetId&quot;: &quot;10473108253681171589&quot;, &quot;referenceName&quot;: &quot;1&quot;, &quot;start&quot;: &quot;10582&quot;, &quot;referenceBases&quot;: &quot;G&quot;, &quot;alternateBases&quot;: [ &quot;A&quot; ], &quot;calls&quot;: [ { &quot;callSetId&quot;: &quot;10473108253681171589-0&quot;, &quot;callSetName&quot;: &quot;CALLSET0&quot;, &quot;genotype&quot;: [ 1, 1 ], } ] } This may be the desired outcome, but it is up to the user to determine if if that is indeed the case. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (MergeVariantsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html#genomics_variants_patch/4","title":"GoogleApi.Genomics.V1.Api.Variants.genomics_variants_patch/4","module":"GoogleApi.Genomics.V1.Api.Variants","type":"function","doc":"Updates a variant. This method supports patch semantics. Returns the modified variant without its calls. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server variant_id (String.t): The ID of the variant to be updated. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): An optional mask specifying which fields to update. At this time, mutable fields are names and info. Acceptable values are &quot;names&quot; and &quot;info&quot;. If unspecified, all mutable fields will be updated. :body (Variant): Returns {:ok, %GoogleApi.Genomics.V1.Model.Variant{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variants.html#genomics_variants_search/3","title":"GoogleApi.Genomics.V1.Api.Variants.genomics_variants_search/3","module":"GoogleApi.Genomics.V1.Api.Variants","type":"function","doc":"Gets a list of variants matching the criteria. Implements GlobalAllianceApi.searchVariants. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchVariantsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchVariantsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variantsets.html","title":"GoogleApi.Genomics.V1.Api.Variantsets","module":"GoogleApi.Genomics.V1.Api.Variantsets","type":"module","doc":"API calls for all endpoints tagged Variantsets."},{"ref":"GoogleApi.Genomics.V1.Api.Variantsets.html#genomics_variantsets_create/3","title":"GoogleApi.Genomics.V1.Api.Variantsets.genomics_variantsets_create/3","module":"GoogleApi.Genomics.V1.Api.Variantsets","type":"function","doc":"Creates a new variant set. The provided variant set must have a valid &#x60;datasetId&#x60; set - all other fields are optional. Note that the &#x60;id&#x60; field will be ignored, as this is assigned by the server. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (VariantSet): Returns {:ok, %GoogleApi.Genomics.V1.Model.VariantSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variantsets.html#genomics_variantsets_delete/4","title":"GoogleApi.Genomics.V1.Api.Variantsets.genomics_variantsets_delete/4","module":"GoogleApi.Genomics.V1.Api.Variantsets","type":"function","doc":"Deletes a variant set including all variants, call sets, and calls within. This is not reversible. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server variant_set_id (String.t): The ID of the variant set to be deleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variantsets.html#genomics_variantsets_export/4","title":"GoogleApi.Genomics.V1.Api.Variantsets.genomics_variantsets_export/4","module":"GoogleApi.Genomics.V1.Api.Variantsets","type":"function","doc":"Exports variant set data to an external destination. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server variant_set_id (String.t): Required. The ID of the variant set that contains variant data which should be exported. The caller must have READ access to this variant set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ExportVariantSetRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variantsets.html#genomics_variantsets_get/4","title":"GoogleApi.Genomics.V1.Api.Variantsets.genomics_variantsets_get/4","module":"GoogleApi.Genomics.V1.Api.Variantsets","type":"function","doc":"Gets a variant set by ID. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server variant_set_id (String.t): Required. The ID of the variant set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Genomics.V1.Model.VariantSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variantsets.html#genomics_variantsets_patch/4","title":"GoogleApi.Genomics.V1.Api.Variantsets.genomics_variantsets_patch/4","module":"GoogleApi.Genomics.V1.Api.Variantsets","type":"function","doc":"Updates a variant set using patch semantics. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server variant_set_id (String.t): The ID of the variant to be updated (must already exist). optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): An optional mask specifying which fields to update. Supported fields: metadata. name. * description. Leaving &#x60;updateMask&#x60; unset is equivalent to specifying all mutable fields. :body (VariantSet): Returns {:ok, %GoogleApi.Genomics.V1.Model.VariantSet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Api.Variantsets.html#genomics_variantsets_search/3","title":"GoogleApi.Genomics.V1.Api.Variantsets.genomics_variantsets_search/3","module":"GoogleApi.Genomics.V1.Api.Variantsets","type":"function","doc":"Returns a list of all variant sets matching search criteria. Implements GlobalAllianceApi.searchVariantSets. Parameters connection (GoogleApi.Genomics.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchVariantSetsRequest): Returns {:ok, %GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Genomics.V1.Connection.html","title":"GoogleApi.Genomics.V1.Connection","module":"GoogleApi.Genomics.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.Genomics.V1."},{"ref":"GoogleApi.Genomics.V1.Connection.html#delete/3","title":"GoogleApi.Genomics.V1.Connection.delete/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#delete!/3","title":"GoogleApi.Genomics.V1.Connection.delete!/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#execute/2","title":"GoogleApi.Genomics.V1.Connection.execute/2","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.Genomics.V1.Connection.html#get/3","title":"GoogleApi.Genomics.V1.Connection.get/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#get!/3","title":"GoogleApi.Genomics.V1.Connection.get!/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#head/3","title":"GoogleApi.Genomics.V1.Connection.head/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#head!/3","title":"GoogleApi.Genomics.V1.Connection.head!/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#new/0","title":"GoogleApi.Genomics.V1.Connection.new/0","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.Genomics.V1.Connection.html#new/1","title":"GoogleApi.Genomics.V1.Connection.new/1","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.Genomics.V1.Connection.html#options/3","title":"GoogleApi.Genomics.V1.Connection.options/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#options!/3","title":"GoogleApi.Genomics.V1.Connection.options!/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#patch/4","title":"GoogleApi.Genomics.V1.Connection.patch/4","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#patch!/4","title":"GoogleApi.Genomics.V1.Connection.patch!/4","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#post/4","title":"GoogleApi.Genomics.V1.Connection.post/4","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#post!/4","title":"GoogleApi.Genomics.V1.Connection.post!/4","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#put/4","title":"GoogleApi.Genomics.V1.Connection.put/4","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#put!/4","title":"GoogleApi.Genomics.V1.Connection.put!/4","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#request/2","title":"GoogleApi.Genomics.V1.Connection.request/2","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.Genomics.V1.Connection.html#request!/2","title":"GoogleApi.Genomics.V1.Connection.request!/2","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.Genomics.V1.Connection.html#trace/3","title":"GoogleApi.Genomics.V1.Connection.trace/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#trace!/3","title":"GoogleApi.Genomics.V1.Connection.trace!/3","module":"GoogleApi.Genomics.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Genomics.V1.Connection.html#t:option/0","title":"GoogleApi.Genomics.V1.Connection.option/0","module":"GoogleApi.Genomics.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Deserializer.html","title":"GoogleApi.Genomics.V1.Deserializer","module":"GoogleApi.Genomics.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.Genomics.V1.Model.Annotation.html","title":"GoogleApi.Genomics.V1.Model.Annotation","module":"GoogleApi.Genomics.V1.Model.Annotation","type":"module","doc":"An annotation describes a region of reference genome. The value of an annotation may be one of several canonical types, supplemented by arbitrary info tags. An annotation is not inherently associated with a specific sample or individual (though a client could choose to use annotations in this way). Example canonical annotation types are &#x60;GENE&#x60; and &#x60;VARIANT&#x60;. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional read alignment information. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. annotationSetId (String.t): The annotation set to which this annotation belongs. Defaults to: null. end (String.t): The end position of the range on the reference, 0-based exclusive. Defaults to: null. id (String.t): The server-generated annotation ID, unique across all annotations. Defaults to: null. name (String.t): The display name of this annotation. Defaults to: null. referenceId (String.t): The ID of the Google Genomics reference associated with this range. Defaults to: null. referenceName (String.t): The display name corresponding to the reference specified by &#x60;referenceId&#x60;, for example &#x60;chr1&#x60;, &#x60;1&#x60;, or &#x60;chrX&#x60;. Defaults to: null. reverseStrand (boolean()): Whether this range refers to the reverse strand, as opposed to the forward strand. Note that regardless of this field, the start/end position of the range always refer to the forward strand. Defaults to: null. start (String.t): The start position of the range on the reference, 0-based inclusive. Defaults to: null. transcript (Transcript): A transcript value represents the assertion that a particular region of the reference genome may be transcribed as RNA. An alternative splicing pattern would be represented as a separate transcript object. This field is only set for annotations of type &#x60;TRANSCRIPT&#x60;. Defaults to: null. type (String.t): The data type for this annotation. Must match the containing annotation set&#39;s type. Defaults to: null. Enum - one of [ANNOTATION_TYPE_UNSPECIFIED, GENERIC, VARIANT, GENE, TRANSCRIPT] variant (VariantAnnotation): A variant annotation, which describes the effect of a variant on the genome, the coding sequence, and/or higher level consequences at the organism level e.g. pathogenicity. This field is only set for annotations of type &#x60;VARIANT&#x60;. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Annotation.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Annotation.decode/2","module":"GoogleApi.Genomics.V1.Model.Annotation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Annotation.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Annotation.t/0","module":"GoogleApi.Genomics.V1.Model.Annotation","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.AnnotationSet.html","title":"GoogleApi.Genomics.V1.Model.AnnotationSet","module":"GoogleApi.Genomics.V1.Model.AnnotationSet","type":"module","doc":"An annotation set is a logical grouping of annotations that share consistent type information and provenance. Examples of annotation sets include &#39;all genes from refseq&#39;, and &#39;all variant annotations from ClinVar&#39;. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional read alignment information. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. datasetId (String.t): The dataset to which this annotation set belongs. Defaults to: null. id (String.t): The server-generated annotation set ID, unique across all annotation sets. Defaults to: null. name (String.t): The display name for this annotation set. Defaults to: null. referenceSetId (String.t): The ID of the reference set that defines the coordinate space for this set&#39;s annotations. Defaults to: null. sourceUri (String.t): The source URI describing the file from which this annotation set was generated, if any. Defaults to: null. type (String.t): The type of annotations contained within this set. Defaults to: null. Enum - one of [ANNOTATION_TYPE_UNSPECIFIED, GENERIC, VARIANT, GENE, TRANSCRIPT]"},{"ref":"GoogleApi.Genomics.V1.Model.AnnotationSet.html#decode/2","title":"GoogleApi.Genomics.V1.Model.AnnotationSet.decode/2","module":"GoogleApi.Genomics.V1.Model.AnnotationSet","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.AnnotationSet.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.AnnotationSet.t/0","module":"GoogleApi.Genomics.V1.Model.AnnotationSet","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest.html","title":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest","module":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest","type":"module","doc":"Attributes annotations ([Annotation]): The annotations to be created. At most 4096 can be specified in a single request. Defaults to: null. requestId (String.t): A unique request ID which enables the server to detect duplicated requests. If provided, duplicated requests will result in the same response; if not provided, duplicated requests may result in duplicated data. For a given annotation set, callers should not reuse &#x60;request_id&#x60;s when writing different batches of annotations - behavior in this case is undefined. A common approach is to use a UUID. For batch jobs where worker crashes are a possibility, consider using some unique variant of a worker or run ID. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse.html","title":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse","module":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse","type":"module","doc":"Attributes entries ([Entry]): The resulting per-annotation entries, ordered consistently with the original request. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.BatchCreateAnnotationsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Binding.html","title":"GoogleApi.Genomics.V1.Model.Binding","module":"GoogleApi.Genomics.V1.Model.Binding","type":"module","doc":"Associates &#x60;members&#x60; with a &#x60;role&#x60;. Attributes condition (Expr): Unimplemented. The condition that is associated with this binding. NOTE: an unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. Defaults to: null. members ([String.t]): Specifies the identities requesting access for a Cloud Platform resource. &#x60;members&#x60; can have the following values: &#x60;allUsers&#x60;: A special identifier that represents anyone who is on the internet; with or without a Google account. &#x60;allAuthenticatedUsers&#x60;: A special identifier that represents anyone who is authenticated with a Google account or a service account. &#x60;user:{emailid}&#x60;: An email address that represents a specific Google account. For example, &#x60;alice@gmail.com&#x60; . &#x60;serviceAccount:{emailid}&#x60;: An email address that represents a service account. For example, &#x60;my-other-app@appspot.gserviceaccount.com&#x60;. &#x60;group:{emailid}&#x60;: An email address that represents a Google group. For example, &#x60;admins@example.com&#x60;. &#x60;domain:{domain}&#x60;: A Google Apps domain name that represents all the users of that domain. For example, &#x60;google.com&#x60; or &#x60;example.com&#x60;. Defaults to: null. role (String.t): Role that is assigned to &#x60;members&#x60;. For example, &#x60;roles/viewer&#x60;, &#x60;roles/editor&#x60;, or &#x60;roles/owner&#x60;. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Binding.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Binding.decode/2","module":"GoogleApi.Genomics.V1.Model.Binding","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Binding.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Binding.t/0","module":"GoogleApi.Genomics.V1.Model.Binding","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.CallSet.html","title":"GoogleApi.Genomics.V1.Model.CallSet","module":"GoogleApi.Genomics.V1.Model.CallSet","type":"module","doc":"A call set is a collection of variant calls, typically for one sample. It belongs to a variant set. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional call set information. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. created (String.t): The date this call set was created in milliseconds from the epoch. Defaults to: null. id (String.t): The server-generated call set ID, unique across all call sets. Defaults to: null. name (String.t): The call set name. Defaults to: null. sampleId (String.t): The sample ID this call set corresponds to. Defaults to: null. variantSetIds ([String.t]): The IDs of the variant sets this call set belongs to. This field must have exactly length one, as a call set belongs to a single variant set. This field is repeated for compatibility with the GA4GH 0.5.1 API. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.CallSet.html#decode/2","title":"GoogleApi.Genomics.V1.Model.CallSet.decode/2","module":"GoogleApi.Genomics.V1.Model.CallSet","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.CallSet.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.CallSet.t/0","module":"GoogleApi.Genomics.V1.Model.CallSet","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.html","title":"GoogleApi.Genomics.V1.Model.CancelOperationRequest","module":"GoogleApi.Genomics.V1.Model.CancelOperationRequest","type":"module","doc":"The request message for Operations.CancelOperation. Attributes"},{"ref":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.CancelOperationRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.t/0","module":"GoogleApi.Genomics.V1.Model.CancelOperationRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.CigarUnit.html","title":"GoogleApi.Genomics.V1.Model.CigarUnit","module":"GoogleApi.Genomics.V1.Model.CigarUnit","type":"module","doc":"A single CIGAR operation. Attributes operation (String.t): Defaults to: null. Enum - one of [OPERATION_UNSPECIFIED, ALIGNMENT_MATCH, INSERT, DELETE, SKIP, CLIP_SOFT, CLIP_HARD, PAD, SEQUENCE_MATCH, SEQUENCE_MISMATCH] operationLength (String.t): The number of genomic bases that the operation runs for. Required. Defaults to: null. referenceSequence (String.t): &#x60;referenceSequence&#x60; is only used at mismatches (&#x60;SEQUENCE_MISMATCH&#x60;) and deletions (&#x60;DELETE&#x60;). Filling this field replaces SAM&#39;s MD tag. If the relevant information is not available, this field is unset. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.CigarUnit.html#decode/2","title":"GoogleApi.Genomics.V1.Model.CigarUnit.decode/2","module":"GoogleApi.Genomics.V1.Model.CigarUnit","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.CigarUnit.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.CigarUnit.t/0","module":"GoogleApi.Genomics.V1.Model.CigarUnit","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ClinicalCondition.html","title":"GoogleApi.Genomics.V1.Model.ClinicalCondition","module":"GoogleApi.Genomics.V1.Model.ClinicalCondition","type":"module","doc":"Attributes conceptId (String.t): The MedGen concept id associated with this gene. Search for these IDs at http://www.ncbi.nlm.nih.gov/medgen/ Defaults to: null. externalIds ([ExternalId]): The set of external IDs for this condition. Defaults to: null. names ([String.t]): A set of names for the condition. Defaults to: null. omimId (String.t): The OMIM id for this condition. Search for these IDs at http://omim.org/ Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ClinicalCondition.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ClinicalCondition.decode/2","module":"GoogleApi.Genomics.V1.Model.ClinicalCondition","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ClinicalCondition.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ClinicalCondition.t/0","module":"GoogleApi.Genomics.V1.Model.ClinicalCondition","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.CodingSequence.html","title":"GoogleApi.Genomics.V1.Model.CodingSequence","module":"GoogleApi.Genomics.V1.Model.CodingSequence","type":"module","doc":"Attributes end (String.t): The end of the coding sequence on this annotation&#39;s reference sequence, 0-based exclusive. Note that this position is relative to the reference start, and not the containing annotation start. Defaults to: null. start (String.t): The start of the coding sequence on this annotation&#39;s reference sequence, 0-based inclusive. Note that this position is relative to the reference start, and not the containing annotation start. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.CodingSequence.html#decode/2","title":"GoogleApi.Genomics.V1.Model.CodingSequence.decode/2","module":"GoogleApi.Genomics.V1.Model.CodingSequence","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.CodingSequence.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.CodingSequence.t/0","module":"GoogleApi.Genomics.V1.Model.CodingSequence","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ComputeEngine.html","title":"GoogleApi.Genomics.V1.Model.ComputeEngine","module":"GoogleApi.Genomics.V1.Model.ComputeEngine","type":"module","doc":"Describes a Compute Engine resource that is being managed by a running pipeline. Attributes diskNames ([String.t]): The names of the disks that were created for this pipeline. Defaults to: null. instanceName (String.t): The instance on which the operation is running. Defaults to: null. machineType (String.t): The machine type of the instance. Defaults to: null. zone (String.t): The availability zone in which the instance resides. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ComputeEngine.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ComputeEngine.decode/2","module":"GoogleApi.Genomics.V1.Model.ComputeEngine","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ComputeEngine.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ComputeEngine.t/0","module":"GoogleApi.Genomics.V1.Model.ComputeEngine","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.html","title":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent","module":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent","type":"module","doc":"An event generated when a container is forcibly terminated by the worker. Currently, this only occurs when the container outlives the timeout specified by the user. Attributes actionId (integer()): The numeric ID of the action that started the container. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.t/0","module":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.html","title":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent","module":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent","type":"module","doc":"An event generated when a container starts. Attributes actionId (integer()): The numeric ID of the action that started this container. Defaults to: null. ipAddress (String.t): The public IP address that can be used to connect to the container. This field is only populated when at least one port mapping is present. If the instance was created with a private address, this field will be empty even if port mappings exist. Defaults to: null. portMappings (%{optional(String.t) &#x3D;&gt; integer()}): The container-to-host port mappings installed for this container. This set will contain any ports exposed using the &#x60;PUBLISH_EXPOSED_PORTS&#x60; flag as well as any specified in the &#x60;Action&#x60; definition. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.html","title":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent","module":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent","type":"module","doc":"An event generated when a container exits. Attributes actionId (integer()): The numeric ID of the action that started this container. Defaults to: null. exitStatus (integer()): The exit status of the container. Defaults to: null. stderr (String.t): The tail end of any content written to standard error by the container. If the content emits large amounts of debugging noise or contains sensitive information, you can prevent the content from being printed by setting the &#x60;DISABLE_STANDARD_ERROR_CAPTURE&#x60; flag. Note that only a small amount of the end of the stream is captured here. The entire stream is stored in the &#x60;/google/logs&#x60; directory mounted into each action, and can be copied off the machine as described elsewhere. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.CoverageBucket.html","title":"GoogleApi.Genomics.V1.Model.CoverageBucket","module":"GoogleApi.Genomics.V1.Model.CoverageBucket","type":"module","doc":"A bucket over which read coverage has been precomputed. A bucket corresponds to a specific range of the reference sequence. Attributes meanCoverage (float()): The average number of reads which are aligned to each individual reference base in this bucket. Defaults to: null. range (Range): The genomic coordinate range spanned by this bucket. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.CoverageBucket.html#decode/2","title":"GoogleApi.Genomics.V1.Model.CoverageBucket.decode/2","module":"GoogleApi.Genomics.V1.Model.CoverageBucket","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.CoverageBucket.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.CoverageBucket.t/0","module":"GoogleApi.Genomics.V1.Model.CoverageBucket","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Dataset.html","title":"GoogleApi.Genomics.V1.Model.Dataset","module":"GoogleApi.Genomics.V1.Model.Dataset","type":"module","doc":"A Dataset is a collection of genomic data. Attributes createTime (DateTime.t): The time this dataset was created, in seconds from the epoch. Defaults to: null. id (String.t): The server-generated dataset ID, unique across all datasets. Defaults to: null. name (String.t): The dataset name. Defaults to: null. projectId (String.t): The Google Cloud project ID that this dataset belongs to. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Dataset.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Dataset.decode/2","module":"GoogleApi.Genomics.V1.Model.Dataset","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Dataset.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Dataset.t/0","module":"GoogleApi.Genomics.V1.Model.Dataset","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.DelayedEvent.html","title":"GoogleApi.Genomics.V1.Model.DelayedEvent","module":"GoogleApi.Genomics.V1.Model.DelayedEvent","type":"module","doc":"An event generated whenever a resource limitation or transient error delays execution of a pipeline that was otherwise ready to run. Attributes cause (String.t): A textual description of the cause of the delay. The string can change without notice because it is often generated by another service (such as Compute Engine). Defaults to: null. metrics ([String.t]): If the delay was caused by a resource shortage, this field lists the Compute Engine metrics that are preventing this operation from running (for example, &#x60;CPUS&#x60; or &#x60;INSTANCES&#x60;). If the particular metric is not known, a single &#x60;UNKNOWN&#x60; metric will be present. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.DelayedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.DelayedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.DelayedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.DelayedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.DelayedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.DelayedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Empty.html","title":"GoogleApi.Genomics.V1.Model.Empty","module":"GoogleApi.Genomics.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.Genomics.V1.Model.Empty.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Empty.decode/2","module":"GoogleApi.Genomics.V1.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Empty.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Empty.t/0","module":"GoogleApi.Genomics.V1.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Entry.html","title":"GoogleApi.Genomics.V1.Model.Entry","module":"GoogleApi.Genomics.V1.Model.Entry","type":"module","doc":"Attributes annotation (Annotation): The created annotation, if creation was successful. Defaults to: null. status (Status): The creation status. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Entry.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Entry.decode/2","module":"GoogleApi.Genomics.V1.Model.Entry","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Entry.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Entry.t/0","module":"GoogleApi.Genomics.V1.Model.Entry","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Event.html","title":"GoogleApi.Genomics.V1.Model.Event","module":"GoogleApi.Genomics.V1.Model.Event","type":"module","doc":"Carries information about events that occur during pipeline execution. Attributes description (String.t): A human-readable description of the event. Note that these strings can change at any time without notice. Any application logic must use the information in the &#x60;details&#x60; field. Defaults to: null. details (%{optional(String.t) &#x3D;&gt; String.t}): Machine-readable details about the event. Defaults to: null. timestamp (DateTime.t): The time at which the event occurred. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Event.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Event.decode/2","module":"GoogleApi.Genomics.V1.Model.Event","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Event.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Event.t/0","module":"GoogleApi.Genomics.V1.Model.Event","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Exon.html","title":"GoogleApi.Genomics.V1.Model.Exon","module":"GoogleApi.Genomics.V1.Model.Exon","type":"module","doc":"Attributes end (String.t): The end position of the exon on this annotation&#39;s reference sequence, 0-based exclusive. Note that this is relative to the reference start, and not the containing annotation start. Defaults to: null. frame (integer()): The frame of this exon. Contains a value of 0, 1, or 2, which indicates the offset of the first coding base of the exon within the reading frame of the coding DNA sequence, if any. This field is dependent on the strandedness of this annotation (see Annotation.reverse_strand). For forward stranded annotations, this offset is relative to the exon.start. For reverse strand annotations, this offset is relative to the exon.end &#x60;- 1&#x60;. Unset if this exon does not intersect the coding sequence. Upon creation of a transcript, the frame must be populated for all or none of the coding exons. Defaults to: null. start (String.t): The start position of the exon on this annotation&#39;s reference sequence, 0-based inclusive. Note that this is relative to the reference start, and not the containing annotation start. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Exon.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Exon.decode/2","module":"GoogleApi.Genomics.V1.Model.Exon","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Exon.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Exon.t/0","module":"GoogleApi.Genomics.V1.Model.Exon","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Experiment.html","title":"GoogleApi.Genomics.V1.Model.Experiment","module":"GoogleApi.Genomics.V1.Model.Experiment","type":"module","doc":"Attributes instrumentModel (String.t): The instrument model used as part of this experiment. This maps to sequencing technology in the SAM spec. Defaults to: null. libraryId (String.t): A client-supplied library identifier; a library is a collection of DNA fragments which have been prepared for sequencing from a sample. This field is important for quality control as error or bias can be introduced during sample preparation. Defaults to: null. platformUnit (String.t): The platform unit used as part of this experiment, for example flowcell-barcode.lane for Illumina or slide for SOLiD. Corresponds to the @RG PU field in the SAM spec. Defaults to: null. sequencingCenter (String.t): The sequencing center used as part of this experiment. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Experiment.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Experiment.decode/2","module":"GoogleApi.Genomics.V1.Model.Experiment","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Experiment.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Experiment.t/0","module":"GoogleApi.Genomics.V1.Model.Experiment","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest.html","title":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest","module":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest","type":"module","doc":"The read group set export request. Attributes exportUri (String.t): Required. A Google Cloud Storage URI for the exported BAM file. The currently authenticated user must have write access to the new file. An error will be returned if the URI already contains data. Defaults to: null. projectId (String.t): Required. The Google Cloud project ID that owns this export. The caller must have WRITE access to this project. Defaults to: null. referenceNames ([String.t]): The reference names to export. If this is not specified, all reference sequences, including unmapped reads, are exported. Use &#x60;*&#x60; to export only unmapped reads. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest.t/0","module":"GoogleApi.Genomics.V1.Model.ExportReadGroupSetRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest.html","title":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest","module":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest","type":"module","doc":"The variant data export request. Attributes bigqueryDataset (String.t): Required. The BigQuery dataset to export data to. This dataset must already exist. Note that this is distinct from the Genomics concept of &quot;dataset&quot;. Defaults to: null. bigqueryTable (String.t): Required. The BigQuery table to export data to. If the table doesn&#39;t exist, it will be created. If it already exists, it will be overwritten. Defaults to: null. callSetIds ([String.t]): If provided, only variant call information from the specified call sets will be exported. By default all variant calls are exported. Defaults to: null. format (String.t): The format for the exported data. Defaults to: null. Enum - one of [FORMAT_UNSPECIFIED, FORMAT_BIGQUERY] projectId (String.t): Required. The Google Cloud project ID that owns the destination BigQuery dataset. The caller must have WRITE access to this project. This project will also own the resulting export job. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest.t/0","module":"GoogleApi.Genomics.V1.Model.ExportVariantSetRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Expr.html","title":"GoogleApi.Genomics.V1.Model.Expr","module":"GoogleApi.Genomics.V1.Model.Expr","type":"module","doc":"Represents an expression text. Example: title: &quot;User account presence&quot; description: &quot;Determines whether the request has a user account&quot; expression: &quot;size(request.user) &gt; 0&quot; Attributes description (String.t): An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. Defaults to: null. expression (String.t): Textual representation of an expression in Common Expression Language syntax. The application context of the containing message determines which well-known feature set of CEL is supported. Defaults to: null. location (String.t): An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file. Defaults to: null. title (String.t): An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Expr.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Expr.decode/2","module":"GoogleApi.Genomics.V1.Model.Expr","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Expr.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Expr.t/0","module":"GoogleApi.Genomics.V1.Model.Expr","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ExternalId.html","title":"GoogleApi.Genomics.V1.Model.ExternalId","module":"GoogleApi.Genomics.V1.Model.ExternalId","type":"module","doc":"Attributes id (String.t): The id used by the source of this data. Defaults to: null. sourceName (String.t): The name of the source of this data. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ExternalId.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ExternalId.decode/2","module":"GoogleApi.Genomics.V1.Model.ExternalId","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ExternalId.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ExternalId.t/0","module":"GoogleApi.Genomics.V1.Model.ExternalId","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.FailedEvent.html","title":"GoogleApi.Genomics.V1.Model.FailedEvent","module":"GoogleApi.Genomics.V1.Model.FailedEvent","type":"module","doc":"An event generated when the execution of a pipeline has failed. Note that other events can continue to occur after this event. Attributes cause (String.t): The human-readable description of the cause of the failure. Defaults to: null. code (String.t): The Google standard error code that best describes this failure. Defaults to: null. Enum - one of [OK, CANCELLED, UNKNOWN, INVALID_ARGUMENT, DEADLINE_EXCEEDED, NOT_FOUND, ALREADY_EXISTS, PERMISSION_DENIED, UNAUTHENTICATED, RESOURCE_EXHAUSTED, FAILED_PRECONDITION, ABORTED, OUT_OF_RANGE, UNIMPLEMENTED, INTERNAL, UNAVAILABLE, DATA_LOSS]"},{"ref":"GoogleApi.Genomics.V1.Model.FailedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.FailedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.FailedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.FailedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.FailedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.FailedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest.html","title":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest","module":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest","type":"module","doc":"Request message for &#x60;GetIamPolicy&#x60; method. Attributes"},{"ref":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest.t/0","module":"GoogleApi.Genomics.V1.Model.GetIamPolicyRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest.html","title":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest","module":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest","type":"module","doc":"The read group set import request. Attributes datasetId (String.t): Required. The ID of the dataset these read group sets will belong to. The caller must have WRITE permissions to this dataset. Defaults to: null. partitionStrategy (String.t): The partition strategy describes how read groups are partitioned into read group sets. Defaults to: null. Enum - one of [PARTITION_STRATEGY_UNSPECIFIED, PER_FILE_PER_SAMPLE, MERGE_ALL] referenceSetId (String.t): The reference set to which the imported read group sets are aligned to, if any. The reference names of this reference set must be a superset of those found in the imported file headers. If no reference set id is provided, a best effort is made to associate with a matching reference set. Defaults to: null. sourceUris ([String.t]): A list of URIs pointing at BAM files in Google Cloud Storage. Those URIs can include wildcards (*), but do not add or remove matching files before import has completed. Note that Google Cloud Storage object listing is only eventually consistent: files added may be not be immediately visible to everyone. Thus, if using a wildcard it is preferable not to start the import immediately after the files are created. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse.html","title":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse","module":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse","type":"module","doc":"The read group set import response. Attributes readGroupSetIds ([String.t]): IDs of the read group sets that were created. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.ImportReadGroupSetsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest.html","title":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest","module":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest","type":"module","doc":"The variant data import request. Attributes format (String.t): The format of the variant data being imported. If unspecified, defaults to to &#x60;VCF&#x60;. Defaults to: null. Enum - one of [FORMAT_UNSPECIFIED, FORMAT_VCF, FORMAT_COMPLETE_GENOMICS] infoMergeConfig (%{optional(String.t) &#x3D;&gt; String.t}): A mapping between info field keys and the InfoMergeOperations to be performed on them. This is plumbed down to the MergeVariantRequests generated by the resulting import job. Defaults to: null. Enum - one of normalizeReferenceNames (boolean()): Convert reference names to the canonical representation. hg19 haploytypes (those reference names containing &quot;_hap&quot;) are not modified in any way. All other reference names are modified according to the following rules: The reference name is capitalized. The &quot;chr&quot; prefix is dropped for all autosomes and sex chromsomes. For example &quot;chr17&quot; becomes &quot;17&quot; and &quot;chrX&quot; becomes &quot;X&quot;. All mitochondrial chromosomes (&quot;chrM&quot;, &quot;chrMT&quot;, etc) become &quot;MT&quot;. Defaults to: null. sourceUris ([String.t]): A list of URIs referencing variant files in Google Cloud Storage. URIs can include wildcards as described here. Note that recursive wildcards (&#39;**&#39;) are not supported. Defaults to: null. variantSetId (String.t): Required. The variant set to which variant data should be imported. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.ImportVariantsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse.html","title":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse","module":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse","type":"module","doc":"The variant data import response. Attributes callSetIds ([String.t]): IDs of the call sets created during the import. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.ImportVariantsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.LinearAlignment.html","title":"GoogleApi.Genomics.V1.Model.LinearAlignment","module":"GoogleApi.Genomics.V1.Model.LinearAlignment","type":"module","doc":"A linear alignment can be represented by one CIGAR string. Describes the mapped position and local alignment of the read to the reference. Attributes cigar ([CigarUnit]): Represents the local alignment of this sequence (alignment matches, indels, etc) against the reference. Defaults to: null. mappingQuality (integer()): The mapping quality of this alignment. Represents how likely the read maps to this position as opposed to other locations. Specifically, this is -10 log10 Pr(mapping position is wrong), rounded to the nearest integer. Defaults to: null. position (Position): The position of this alignment. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.LinearAlignment.html#decode/2","title":"GoogleApi.Genomics.V1.Model.LinearAlignment.decode/2","module":"GoogleApi.Genomics.V1.Model.LinearAlignment","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.LinearAlignment.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.LinearAlignment.t/0","module":"GoogleApi.Genomics.V1.Model.LinearAlignment","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ListBasesResponse.html","title":"GoogleApi.Genomics.V1.Model.ListBasesResponse","module":"GoogleApi.Genomics.V1.Model.ListBasesResponse","type":"module","doc":"Attributes nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null. offset (String.t): The offset position (0-based) of the given &#x60;sequence&#x60; from the start of this &#x60;Reference&#x60;. This value will differ for each page in a paginated request. Defaults to: null. sequence (String.t): A substring of the bases that make up this reference. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ListBasesResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ListBasesResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.ListBasesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ListBasesResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ListBasesResponse.t/0","module":"GoogleApi.Genomics.V1.Model.ListBasesResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse.html","title":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse","module":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse","type":"module","doc":"Attributes bucketWidth (String.t): The length of each coverage bucket in base pairs. Note that buckets at the end of a reference sequence may be shorter. This value is omitted if the bucket width is infinity (the default behaviour, with no range or &#x60;targetBucketWidth&#x60;). Defaults to: null. coverageBuckets ([CoverageBucket]): The coverage buckets. The list of buckets is sparse; a bucket with 0 overlapping reads is not returned. A bucket never crosses more than one reference sequence. Each bucket has width &#x60;bucketWidth&#x60;, unless its end is the end of the reference sequence. Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.ListCoverageBucketsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse.html","title":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse","module":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse","type":"module","doc":"The dataset list response. Attributes datasets ([Dataset]): The list of matching Datasets. Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.ListDatasetsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.html","title":"GoogleApi.Genomics.V1.Model.ListOperationsResponse","module":"GoogleApi.Genomics.V1.Model.ListOperationsResponse","type":"module","doc":"The response message for Operations.ListOperations. Attributes nextPageToken (String.t): The standard List next-page token. Defaults to: null. operations ([Operation]): A list of operations that matches the specified filter in the request. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.ListOperationsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.ListOperationsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest.html","title":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest","module":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest","type":"module","doc":"Attributes infoMergeConfig (%{optional(String.t) &#x3D;&gt; String.t}): A mapping between info field keys and the InfoMergeOperations to be performed on them. Defaults to: null. Enum - one of variantSetId (String.t): The destination variant set. Defaults to: null. variants ([Variant]): The variants to be merged with existing variants. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.MergeVariantsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Operation.html","title":"GoogleApi.Genomics.V1.Model.Operation","module":"GoogleApi.Genomics.V1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (boolean()): If the value is &#x60;false&#x60;, it means the operation is still in progress. If &#x60;true&#x60;, the operation is completed, and either &#x60;error&#x60; or &#x60;response&#x60; is available. Defaults to: null. error (Status): The error result of the operation in case of failure or cancellation. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): An OperationMetadata or Metadata object. This will always be returned with the Operation. Defaults to: null. name (String.t): The server-assigned name, which is only unique within the same service that originally returns it. For example&amp;#58; &#x60;operations/CJHU7Oi_ChDrveSpBRjfuL-qzoWAgEw&#x60; Defaults to: null. response (%{optional(String.t) &#x3D;&gt; String.t}): An Empty object. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Operation.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Operation.decode/2","module":"GoogleApi.Genomics.V1.Model.Operation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Operation.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Operation.t/0","module":"GoogleApi.Genomics.V1.Model.Operation","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.OperationEvent.html","title":"GoogleApi.Genomics.V1.Model.OperationEvent","module":"GoogleApi.Genomics.V1.Model.OperationEvent","type":"module","doc":"An event that occurred during an Operation. Attributes description (String.t): Required description of event. Defaults to: null. endTime (DateTime.t): Optional time of when event finished. An event can have a start time and no finish time. If an event has a finish time, there must be a start time. Defaults to: null. startTime (DateTime.t): Optional time of when event started. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.OperationEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.OperationEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.OperationEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.OperationEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.OperationEvent.t/0","module":"GoogleApi.Genomics.V1.Model.OperationEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.OperationMetadata.html","title":"GoogleApi.Genomics.V1.Model.OperationMetadata","module":"GoogleApi.Genomics.V1.Model.OperationMetadata","type":"module","doc":"Metadata describing an Operation. Attributes clientId (String.t): This field is deprecated. Use &#x60;labels&#x60; instead. Optionally provided by the caller when submitting the request that creates the operation. Defaults to: null. createTime (DateTime.t): The time at which the job was submitted to the Genomics service. Defaults to: null. endTime (DateTime.t): The time at which the job stopped running. Defaults to: null. events ([OperationEvent]): Optional event messages that were generated during the job&#39;s execution. This also contains any warnings that were generated during import or export. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): Optionally provided by the caller when submitting the request that creates the operation. Defaults to: null. projectId (String.t): The Google Cloud Project in which the job is scoped. Defaults to: null. request (%{optional(String.t) &#x3D;&gt; String.t}): The original request that started the operation. Note that this will be in current version of the API. If the operation was started with v1beta2 API and a GetOperation is performed on v1 API, a v1 request will be returned. Defaults to: null. runtimeMetadata (%{optional(String.t) &#x3D;&gt; String.t}): Runtime metadata on this Operation. Defaults to: null. startTime (DateTime.t): The time at which the job began to run. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.OperationMetadata.html#decode/2","title":"GoogleApi.Genomics.V1.Model.OperationMetadata.decode/2","module":"GoogleApi.Genomics.V1.Model.OperationMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.OperationMetadata.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.OperationMetadata.t/0","module":"GoogleApi.Genomics.V1.Model.OperationMetadata","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Policy.html","title":"GoogleApi.Genomics.V1.Model.Policy","module":"GoogleApi.Genomics.V1.Model.Policy","type":"module","doc":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources. A &#x60;Policy&#x60; consists of a list of &#x60;bindings&#x60;. A &#x60;binding&#x60; binds a list of &#x60;members&#x60; to a &#x60;role&#x60;, where the members can be user accounts, Google groups, Google domains, and service accounts. A &#x60;role&#x60; is a named list of permissions defined by IAM. JSON Example { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/owner&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-other-app@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/viewer&quot;, &quot;members&quot;: [&quot;user:sean@example.com&quot;] } ] } YAML Example bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-other-app@appspot.gserviceaccount.com role: roles/owner - members: - user:sean@example.com role: roles/viewer For a description of IAM and its features, see the IAM developer&#39;s guide. Attributes bindings ([Binding]): Associates a list of &#x60;members&#x60; to a &#x60;role&#x60;. &#x60;bindings&#x60; with no members will result in an error. Defaults to: null. etag (binary()): &#x60;etag&#x60; is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the &#x60;etag&#x60; in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An &#x60;etag&#x60; is returned in the response to &#x60;getIamPolicy&#x60;, and systems are expected to put that etag in the request to &#x60;setIamPolicy&#x60; to ensure that their change will be applied to the same version of the policy. If no &#x60;etag&#x60; is provided in the call to &#x60;setIamPolicy&#x60;, then the existing policy is overwritten blindly. Defaults to: null. version (integer()): Deprecated. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Policy.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Policy.decode/2","module":"GoogleApi.Genomics.V1.Model.Policy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Policy.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Policy.t/0","module":"GoogleApi.Genomics.V1.Model.Policy","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Position.html","title":"GoogleApi.Genomics.V1.Model.Position","module":"GoogleApi.Genomics.V1.Model.Position","type":"module","doc":"An abstraction for referring to a genomic position, in relation to some already known reference. For now, represents a genomic position as a reference name, a base number on that reference (0-based), and a determination of forward or reverse strand. Attributes position (String.t): The 0-based offset from the start of the forward strand for that reference. Defaults to: null. referenceName (String.t): The name of the reference in whatever reference set is being used. Defaults to: null. reverseStrand (boolean()): Whether this position is on the reverse strand, as opposed to the forward strand. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Position.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Position.decode/2","module":"GoogleApi.Genomics.V1.Model.Position","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Position.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Position.t/0","module":"GoogleApi.Genomics.V1.Model.Position","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Program.html","title":"GoogleApi.Genomics.V1.Model.Program","module":"GoogleApi.Genomics.V1.Model.Program","type":"module","doc":"Attributes commandLine (String.t): The command line used to run this program. Defaults to: null. id (String.t): The user specified locally unique ID of the program. Used along with &#x60;prevProgramId&#x60; to define an ordering between programs. Defaults to: null. name (String.t): The display name of the program. This is typically the colloquial name of the tool used, for example &#39;bwa&#39; or &#39;picard&#39;. Defaults to: null. prevProgramId (String.t): The ID of the program run before this one. Defaults to: null. version (String.t): The version of the program run. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Program.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Program.decode/2","module":"GoogleApi.Genomics.V1.Model.Program","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Program.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Program.t/0","module":"GoogleApi.Genomics.V1.Model.Program","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.PullStartedEvent.html","title":"GoogleApi.Genomics.V1.Model.PullStartedEvent","module":"GoogleApi.Genomics.V1.Model.PullStartedEvent","type":"module","doc":"An event generated when the worker starts pulling an image. Attributes imageUri (String.t): The URI of the image that was pulled. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.PullStartedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.PullStartedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.PullStartedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.PullStartedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.PullStartedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.PullStartedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.html","title":"GoogleApi.Genomics.V1.Model.PullStoppedEvent","module":"GoogleApi.Genomics.V1.Model.PullStoppedEvent","type":"module","doc":"An event generated when the worker stops pulling an image. Attributes imageUri (String.t): The URI of the image that was pulled. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.PullStoppedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.PullStoppedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Range.html","title":"GoogleApi.Genomics.V1.Model.Range","module":"GoogleApi.Genomics.V1.Model.Range","type":"module","doc":"A 0-based half-open genomic coordinate range for search requests. Attributes end (String.t): The end position of the range on the reference, 0-based exclusive. Defaults to: null. referenceName (String.t): The reference sequence name, for example &#x60;chr1&#x60;, &#x60;1&#x60;, or &#x60;chrX&#x60;. Defaults to: null. start (String.t): The start position of the range on the reference, 0-based inclusive. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Range.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Range.decode/2","module":"GoogleApi.Genomics.V1.Model.Range","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Range.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Range.t/0","module":"GoogleApi.Genomics.V1.Model.Range","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Read.html","title":"GoogleApi.Genomics.V1.Model.Read","module":"GoogleApi.Genomics.V1.Model.Read","type":"module","doc":"A read alignment describes a linear alignment of a string of DNA to a reference sequence, in addition to metadata about the fragment (the molecule of DNA sequenced) and the read (the bases which were read by the sequencer). A read is equivalent to a line in a SAM file. A read belongs to exactly one read group and exactly one read group set. ### Reverse-stranded reads Mapped reads (reads having a non-null &#x60;alignment&#x60;) can be aligned to either the forward or the reverse strand of their associated reference. Strandedness of a mapped read is encoded by &#x60;alignment.position.reverseStrand&#x60;. If we consider the reference to be a forward-stranded coordinate space of &#x60;[0, reference.length)&#x60; with &#x60;0&#x60; as the left-most position and &#x60;reference.length&#x60; as the right-most position, reads are always aligned left to right. That is, &#x60;alignment.position.position&#x60; always refers to the left-most reference coordinate and &#x60;alignment.cigar&#x60; describes the alignment of this read to the reference from left to right. All per-base fields such as &#x60;alignedSequence&#x60; and &#x60;alignedQuality&#x60; share this same left-to-right orientation; this is true of reads which are aligned to either strand. For reverse-stranded reads, this means that &#x60;alignedSequence&#x60; is the reverse complement of the bases that were originally reported by the sequencing machine. ### Generating a reference-aligned sequence string When interacting with mapped reads, it&#39;s often useful to produce a string representing the local alignment of the read to reference. The following pseudocode demonstrates one way of doing this: out &#x3D; &quot;&quot; offset &#x3D; 0 for c in read.alignment.cigar { switch c.operation { case &quot;ALIGNMENT_MATCH&quot;, &quot;SEQUENCE_MATCH&quot;, &quot;SEQUENCE_MISMATCH&quot;: out +&#x3D; read.alignedSequence[offset:offset+c.operationLength] offset +&#x3D; c.operationLength break case &quot;CLIP_SOFT&quot;, &quot;INSERT&quot;: offset +&#x3D; c.operationLength break case &quot;PAD&quot;: out +&#x3D; repeat(&quot;*&quot;, c.operationLength) break case &quot;DELETE&quot;: out +&#x3D; repeat(&quot;-&quot;, c.operationLength) break case &quot;SKIP&quot;: out +&#x3D; repeat(&quot; &quot;, c.operationLength) break case &quot;CLIP_HARD&quot;: break } } return out ### Converting to SAM&#39;s CIGAR string The following pseudocode generates a SAM CIGAR string from the &#x60;cigar&#x60; field. Note that this is a lossy conversion (&#x60;cigar.referenceSequence&#x60; is lost). cigarMap &#x3D; { &quot;ALIGNMENT_MATCH&quot;: &quot;M&quot;, &quot;INSERT&quot;: &quot;I&quot;, &quot;DELETE&quot;: &quot;D&quot;, &quot;SKIP&quot;: &quot;N&quot;, &quot;CLIP_SOFT&quot;: &quot;S&quot;, &quot;CLIP_HARD&quot;: &quot;H&quot;, &quot;PAD&quot;: &quot;P&quot;, &quot;SEQUENCE_MATCH&quot;: &quot;&#x3D;&quot;, &quot;SEQUENCE_MISMATCH&quot;: &quot;X&quot;, } cigarStr &#x3D; &quot;&quot; for c in read.alignment.cigar { cigarStr +&#x3D; c.operationLength + cigarMap[c.operation] } return cigarStr Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional read alignment information. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. alignedQuality ([integer()]): The quality of the read sequence contained in this alignment record (equivalent to QUAL in SAM). &#x60;alignedSequence&#x60; and &#x60;alignedQuality&#x60; may be shorter than the full read sequence and quality. This will occur if the alignment is part of a chimeric alignment, or if the read was trimmed. When this occurs, the CIGAR for this read will begin/end with a hard clip operator that will indicate the length of the excised sequence. Defaults to: null. alignedSequence (String.t): The bases of the read sequence contained in this alignment record, without CIGAR operations applied (equivalent to SEQ in SAM). &#x60;alignedSequence&#x60; and &#x60;alignedQuality&#x60; may be shorter than the full read sequence and quality. This will occur if the alignment is part of a chimeric alignment, or if the read was trimmed. When this occurs, the CIGAR for this read will begin/end with a hard clip operator that will indicate the length of the excised sequence. Defaults to: null. alignment (LinearAlignment): The linear alignment for this alignment record. This field is null for unmapped reads. Defaults to: null. duplicateFragment (boolean()): The fragment is a PCR or optical duplicate (SAM flag 0x400). Defaults to: null. failedVendorQualityChecks (boolean()): Whether this read did not pass filters, such as platform or vendor quality controls (SAM flag 0x200). Defaults to: null. fragmentLength (integer()): The observed length of the fragment, equivalent to TLEN in SAM. Defaults to: null. fragmentName (String.t): The fragment name. Equivalent to QNAME (query template name) in SAM. Defaults to: null. id (String.t): The server-generated read ID, unique across all reads. This is different from the &#x60;fragmentName&#x60;. Defaults to: null. nextMatePosition (Position): The mapping of the primary alignment of the &#x60;(readNumber+1)%numberReads&#x60; read in the fragment. It replaces mate position and mate strand in SAM. Defaults to: null. numberReads (integer()): The number of reads in the fragment (extension to SAM flag 0x1). Defaults to: null. properPlacement (boolean()): The orientation and the distance between reads from the fragment are consistent with the sequencing protocol (SAM flag 0x2). Defaults to: null. readGroupId (String.t): The ID of the read group this read belongs to. A read belongs to exactly one read group. This is a server-generated ID which is distinct from SAM&#39;s RG tag (for that value, see ReadGroup.name). Defaults to: null. readGroupSetId (String.t): The ID of the read group set this read belongs to. A read belongs to exactly one read group set. Defaults to: null. readNumber (integer()): The read number in sequencing. 0-based and less than numberReads. This field replaces SAM flag 0x40 and 0x80. Defaults to: null. secondaryAlignment (boolean()): Whether this alignment is secondary. Equivalent to SAM flag 0x100. A secondary alignment represents an alternative to the primary alignment for this read. Aligners may return secondary alignments if a read can map ambiguously to multiple coordinates in the genome. By convention, each read has one and only one alignment where both &#x60;secondaryAlignment&#x60; and &#x60;supplementaryAlignment&#x60; are false. Defaults to: null. supplementaryAlignment (boolean()): Whether this alignment is supplementary. Equivalent to SAM flag 0x800. Supplementary alignments are used in the representation of a chimeric alignment. In a chimeric alignment, a read is split into multiple linear alignments that map to different reference contigs. The first linear alignment in the read will be designated as the representative alignment; the remaining linear alignments will be designated as supplementary alignments. These alignments may have different mapping quality scores. In each linear alignment in a chimeric alignment, the read will be hard clipped. The &#x60;alignedSequence&#x60; and &#x60;alignedQuality&#x60; fields in the alignment record will only represent the bases for its respective linear alignment. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Read.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Read.decode/2","module":"GoogleApi.Genomics.V1.Model.Read","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Read.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Read.t/0","module":"GoogleApi.Genomics.V1.Model.Read","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ReadGroup.html","title":"GoogleApi.Genomics.V1.Model.ReadGroup","module":"GoogleApi.Genomics.V1.Model.ReadGroup","type":"module","doc":"A read group is all the data that&#39;s processed the same way by the sequencer. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional read group information. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. datasetId (String.t): The dataset to which this read group belongs. Defaults to: null. description (String.t): A free-form text description of this read group. Defaults to: null. experiment (Experiment): The experiment used to generate this read group. Defaults to: null. id (String.t): The server-generated read group ID, unique for all read groups. Note: This is different than the @RG ID field in the SAM spec. For that value, see name. Defaults to: null. name (String.t): The read group name. This corresponds to the @RG ID field in the SAM spec. Defaults to: null. predictedInsertSize (integer()): The predicted insert size of this read group. The insert size is the length the sequenced DNA fragment from end-to-end, not including the adapters. Defaults to: null. programs ([Program]): The programs used to generate this read group. Programs are always identical for all read groups within a read group set. For this reason, only the first read group in a returned set will have this field populated. Defaults to: null. referenceSetId (String.t): The reference set the reads in this read group are aligned to. Defaults to: null. sampleId (String.t): A client-supplied sample identifier for the reads in this read group. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ReadGroup.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ReadGroup.decode/2","module":"GoogleApi.Genomics.V1.Model.ReadGroup","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ReadGroup.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ReadGroup.t/0","module":"GoogleApi.Genomics.V1.Model.ReadGroup","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ReadGroupSet.html","title":"GoogleApi.Genomics.V1.Model.ReadGroupSet","module":"GoogleApi.Genomics.V1.Model.ReadGroupSet","type":"module","doc":"A read group set is a logical collection of read groups, which are collections of reads produced by a sequencer. A read group set typically models reads corresponding to one sample, sequenced one way, and aligned one way. A read group set belongs to one dataset. A read group belongs to one read group set. * A read belongs to one read group. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional read group set information. Defaults to: null. datasetId (String.t): The dataset to which this read group set belongs. Defaults to: null. filename (String.t): The filename of the original source file for this read group set, if any. Defaults to: null. id (String.t): The server-generated read group set ID, unique for all read group sets. Defaults to: null. name (String.t): The read group set name. By default this will be initialized to the sample name of the sequenced data contained in this set. Defaults to: null. readGroups ([ReadGroup]): The read groups in this set. There are typically 1-10 read groups in a read group set. Defaults to: null. referenceSetId (String.t): The reference set to which the reads in this read group set are aligned. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ReadGroupSet.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ReadGroupSet.decode/2","module":"GoogleApi.Genomics.V1.Model.ReadGroupSet","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ReadGroupSet.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ReadGroupSet.t/0","module":"GoogleApi.Genomics.V1.Model.ReadGroupSet","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Reference.html","title":"GoogleApi.Genomics.V1.Model.Reference","module":"GoogleApi.Genomics.V1.Model.Reference","type":"module","doc":"A reference is a canonical assembled DNA sequence, intended to act as a reference coordinate space for other genomic annotations. A single reference might represent the human chromosome 1 or mitochandrial DNA, for instance. A reference belongs to one or more reference sets. Attributes id (String.t): The server-generated reference ID, unique across all references. Defaults to: null. length (String.t): The length of this reference&#39;s sequence. Defaults to: null. md5checksum (String.t): MD5 of the upper-case sequence excluding all whitespace characters (this is equivalent to SQ:M5 in SAM). This value is represented in lower case hexadecimal format. Defaults to: null. name (String.t): The name of this reference, for example &#x60;22&#x60;. Defaults to: null. ncbiTaxonId (integer()): ID from http://www.ncbi.nlm.nih.gov/taxonomy. For example, 9606 for human. Defaults to: null. sourceAccessions ([String.t]): All known corresponding accession IDs in INSDC (GenBank/ENA/DDBJ) ideally with a version number, for example &#x60;GCF_000001405.26&#x60;. Defaults to: null. sourceUri (String.t): The URI from which the sequence was obtained. Typically specifies a FASTA format file. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Reference.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Reference.decode/2","module":"GoogleApi.Genomics.V1.Model.Reference","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Reference.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Reference.t/0","module":"GoogleApi.Genomics.V1.Model.Reference","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ReferenceBound.html","title":"GoogleApi.Genomics.V1.Model.ReferenceBound","module":"GoogleApi.Genomics.V1.Model.ReferenceBound","type":"module","doc":"ReferenceBound records an upper bound for the starting coordinate of variants in a particular reference. Attributes referenceName (String.t): The name of the reference associated with this reference bound. Defaults to: null. upperBound (String.t): An upper bound (inclusive) on the starting coordinate of any variant in the reference sequence. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ReferenceBound.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ReferenceBound.decode/2","module":"GoogleApi.Genomics.V1.Model.ReferenceBound","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ReferenceBound.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ReferenceBound.t/0","module":"GoogleApi.Genomics.V1.Model.ReferenceBound","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.ReferenceSet.html","title":"GoogleApi.Genomics.V1.Model.ReferenceSet","module":"GoogleApi.Genomics.V1.Model.ReferenceSet","type":"module","doc":"A reference set is a set of references which typically comprise a reference assembly for a species, such as &#x60;GRCh38&#x60; which is representative of the human genome. A reference set defines a common coordinate space for comparing reference-aligned experimental data. A reference set contains 1 or more references. Attributes assemblyId (String.t): Public id of this reference set, such as &#x60;GRCh37&#x60;. Defaults to: null. description (String.t): Free text description of this reference set. Defaults to: null. id (String.t): The server-generated reference set ID, unique across all reference sets. Defaults to: null. md5checksum (String.t): Order-independent MD5 checksum which identifies this reference set. The checksum is computed by sorting all lower case hexidecimal string &#x60;reference.md5checksum&#x60; (for all reference in this set) in ascending lexicographic order, concatenating, and taking the MD5 of that value. The resulting value is represented in lower case hexadecimal format. Defaults to: null. ncbiTaxonId (integer()): ID from http://www.ncbi.nlm.nih.gov/taxonomy (for example, 9606 for human) indicating the species which this reference set is intended to model. Note that contained references may specify a different &#x60;ncbiTaxonId&#x60;, as assemblies may contain reference sequences which do not belong to the modeled species, for example EBV in a human reference genome. Defaults to: null. referenceIds ([String.t]): The IDs of the reference objects that are part of this set. &#x60;Reference.md5checksum&#x60; must be unique within this set. Defaults to: null. sourceAccessions ([String.t]): All known corresponding accession IDs in INSDC (GenBank/ENA/DDBJ) ideally with a version number, for example &#x60;NC_000001.11&#x60;. Defaults to: null. sourceUri (String.t): The URI from which the references were obtained. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.ReferenceSet.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ReferenceSet.decode/2","module":"GoogleApi.Genomics.V1.Model.ReferenceSet","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.ReferenceSet.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ReferenceSet.t/0","module":"GoogleApi.Genomics.V1.Model.ReferenceSet","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.html","title":"GoogleApi.Genomics.V1.Model.RunPipelineResponse","module":"GoogleApi.Genomics.V1.Model.RunPipelineResponse","type":"module","doc":"The response to the RunPipeline method, returned in the operation&#39;s result field on success. Attributes"},{"ref":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.RunPipelineResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.t/0","module":"GoogleApi.Genomics.V1.Model.RunPipelineResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.html","title":"GoogleApi.Genomics.V1.Model.RuntimeMetadata","module":"GoogleApi.Genomics.V1.Model.RuntimeMetadata","type":"module","doc":"Runtime metadata that will be populated in the runtimeMetadata field of the Operation associated with a RunPipeline execution. Attributes computeEngine (ComputeEngine): Execution information specific to Google Compute Engine. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.html#decode/2","title":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.decode/2","module":"GoogleApi.Genomics.V1.Model.RuntimeMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.t/0","module":"GoogleApi.Genomics.V1.Model.RuntimeMetadata","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest","type":"module","doc":"Attributes datasetIds ([String.t]): Required. The dataset IDs to search within. Caller must have &#x60;READ&#x60; access to these datasets. Defaults to: null. name (String.t): Only return annotations sets for which a substring of the name matches this string (case insensitive). Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 128. The maximum value is 1024. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null. referenceSetId (String.t): If specified, only annotation sets associated with the given reference set are returned. Defaults to: null. types ([String.t]): If specified, only annotation sets that have any of these types are returned. Defaults to: null. Enum - one of"},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse","type":"module","doc":"Attributes annotationSets ([AnnotationSet]): The matching annotation sets. Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationSetsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest","type":"module","doc":"Attributes annotationSetIds ([String.t]): Required. The annotation sets to search within. The caller must have &#x60;READ&#x60; access to these annotation sets. All queried annotation sets must have the same type. Defaults to: null. end (String.t): The end position of the range on the reference, 0-based exclusive. If referenceId or referenceName must be specified, Defaults to the length of the reference. Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 256. The maximum value is 2048. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null. referenceId (String.t): The ID of the reference to query. Defaults to: null. referenceName (String.t): The name of the reference to query, within the reference set associated with this query. Defaults to: null. start (String.t): The start position of the range on the reference, 0-based inclusive. If specified, referenceId or referenceName must be specified. Defaults to 0. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse","type":"module","doc":"Attributes annotations ([Annotation]): The matching annotations. Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchAnnotationsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest","module":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest","type":"module","doc":"The call set search request. Attributes name (String.t): Only return call sets for which a substring of the name matches this string. Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 1024. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null. variantSetIds ([String.t]): Restrict the query to call sets within the given variant sets. At least one ID must be provided. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchCallSetsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse","module":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse","type":"module","doc":"The call set search response. Attributes callSets ([CallSet]): The list of matching call sets. Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchCallSetsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest","module":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest","type":"module","doc":"The read group set search request. Attributes datasetIds ([String.t]): Restricts this query to read group sets within the given datasets. At least one ID must be provided. Defaults to: null. name (String.t): Only return read group sets for which a substring of the name matches this string. Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 256. The maximum value is 1024. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse","module":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse","type":"module","doc":"The read group set search response. Attributes nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null. readGroupSets ([ReadGroupSet]): The list of matching read group sets. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReadGroupSetsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchReadsRequest","module":"GoogleApi.Genomics.V1.Model.SearchReadsRequest","type":"module","doc":"The read search request. Attributes end (String.t): The end position of the range on the reference, 0-based exclusive. If specified, &#x60;referenceName&#x60; must also be specified. Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 256. The maximum value is 2048. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null. readGroupIds ([String.t]): The IDs of the read groups within which to search for reads. All specified read groups must belong to the same read group sets. Must specify one of &#x60;readGroupSetIds&#x60; or &#x60;readGroupIds&#x60;. Defaults to: null. readGroupSetIds ([String.t]): The IDs of the read groups sets within which to search for reads. All specified read group sets must be aligned against a common set of reference sequences; this defines the genomic coordinates for the query. Must specify one of &#x60;readGroupSetIds&#x60; or &#x60;readGroupIds&#x60;. Defaults to: null. referenceName (String.t): The reference sequence name, for example &#x60;chr1&#x60;, &#x60;1&#x60;, or &#x60;chrX&#x60;. If set to &#x60;*&#x60;, only unmapped reads are returned. If unspecified, all reads (mapped and unmapped) are returned. Defaults to: null. start (String.t): The start position of the range on the reference, 0-based inclusive. If specified, &#x60;referenceName&#x60; must also be specified. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReadsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReadsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReadsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReadsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchReadsResponse","module":"GoogleApi.Genomics.V1.Model.SearchReadsResponse","type":"module","doc":"The read search response. Attributes alignments ([Read]): The list of matching alignments sorted by mapped genomic coordinate, if any, ascending in position within the same reference. Unmapped reads, which have no position, are returned contiguously and are sorted in ascending lexicographic order by fragment name. Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReadsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReadsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReadsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReadsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReadsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest","module":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest","type":"module","doc":"Attributes accessions ([String.t]): If present, return reference sets for which a prefix of any of sourceAccessions match any of these strings. Accession numbers typically have a main number and a version, for example &#x60;NC_000001.11&#x60;. Defaults to: null. assemblyId (String.t): If present, return reference sets for which a substring of their &#x60;assemblyId&#x60; matches this string (case insensitive). Defaults to: null. md5checksums ([String.t]): If present, return reference sets for which the md5checksum matches exactly. Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 1024. The maximum value is 4096. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse","module":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse","type":"module","doc":"Attributes nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null. referenceSets ([ReferenceSet]): The matching references sets. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReferenceSetsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest","module":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest","type":"module","doc":"Attributes accessions ([String.t]): If present, return references for which a prefix of any of sourceAccessions match any of these strings. Accession numbers typically have a main number and a version, for example &#x60;GCF_000001405.26&#x60;. Defaults to: null. md5checksums ([String.t]): If present, return references for which the md5checksum matches exactly. Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 1024. The maximum value is 4096. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null. referenceSetId (String.t): If present, return only references which belong to this reference set. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReferencesRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse","module":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse","type":"module","doc":"Attributes nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null. references ([Reference]): The matching references. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchReferencesResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest","module":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest","type":"module","doc":"The search variant sets request. Attributes datasetIds ([String.t]): Exactly one dataset ID must be provided here. Only variant sets which belong to this dataset will be returned. Defaults to: null. pageSize (integer()): The maximum number of results to return in a single page. If unspecified, defaults to 1024. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchVariantSetsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse","module":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse","type":"module","doc":"The search variant sets response. Attributes nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null. variantSets ([VariantSet]): The variant sets belonging to the requested dataset. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchVariantSetsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest.html","title":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest","module":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest","type":"module","doc":"The variant search request. Attributes callSetIds ([String.t]): Only return variant calls which belong to call sets with these ids. Leaving this blank returns all variant calls. If a variant has no calls belonging to any of these call sets, it won&#39;t be returned at all. Defaults to: null. end (String.t): The end of the window, 0-based exclusive. If unspecified or 0, defaults to the length of the reference. Defaults to: null. maxCalls (integer()): The maximum number of calls to return in a single page. Note that this limit may be exceeded in the event that a matching variant contains more calls than the requested maximum. If unspecified, defaults to 5000. The maximum value is 10000. Defaults to: null. pageSize (integer()): The maximum number of variants to return in a single page. If unspecified, defaults to 5000. The maximum value is 10000. Defaults to: null. pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of &#x60;nextPageToken&#x60; from the previous response. Defaults to: null. referenceName (String.t): Required. Only return variants in this reference sequence. Defaults to: null. start (String.t): The beginning of the window (0-based, inclusive) for which overlapping variants should be returned. If unspecified, defaults to 0. Defaults to: null. variantName (String.t): Only return variants which have exactly this name. Defaults to: null. variantSetIds ([String.t]): At most one variant set ID must be provided. Only variants from this variant set will be returned. If omitted, a call set id must be included in the request. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SearchVariantsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse.html","title":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse","module":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse","type":"module","doc":"The variant search response. Attributes nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren&#39;t any additional results. Defaults to: null. variants ([Variant]): The list of matching Variants. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.SearchVariantsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest","module":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest","type":"module","doc":"Request message for &#x60;SetIamPolicy&#x60; method. Attributes policy (Policy): REQUIRED: The complete policy to be applied to the &#x60;resource&#x60;. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest.t/0","module":"GoogleApi.Genomics.V1.Model.SetIamPolicyRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Status.html","title":"GoogleApi.Genomics.V1.Model.Status","module":"GoogleApi.Genomics.V1.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. The error model is designed to be: - Simple to use and understand for most users - Flexible enough to meet unexpected needs # Overview The &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package &#x60;google.rpc&#x60; that can be used for common error conditions. # Language mapping The &#x60;Status&#x60; message is the logical representation of the error model, but it is not necessarily the actual wire format. When the &#x60;Status&#x60; message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C. # Other uses The error model and the &#x60;Status&#x60; message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments. Example uses of this error model include: - Partial errors. If a service needs to return partial errors to the client, it may embed the &#x60;Status&#x60; in the normal response to indicate the partial errors. - Workflow errors. A typical workflow has multiple steps. Each step may have a &#x60;Status&#x60; message for error reporting. - Batch operations. If a client uses batch request and batch response, the &#x60;Status&#x60; message should be used directly inside batch response, one for each error sub-response. - Asynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the &#x60;Status&#x60; message. - Logging. If some API errors are stored in logs, the message &#x60;Status&#x60; could be used directly after any stripping needed for security/privacy reasons. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Status.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Status.decode/2","module":"GoogleApi.Genomics.V1.Model.Status","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Status.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Status.t/0","module":"GoogleApi.Genomics.V1.Model.Status","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest","module":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest","type":"module","doc":"Request message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): REQUIRED: The set of permissions to check for the &#39;resource&#39;. Permissions with wildcards (such as &#39;&#39; or &#39;storage.&#39;) are not allowed. Allowed permissions are&amp;#58; &#x60;genomics.datasets.create&#x60; &#x60;genomics.datasets.delete&#x60; &#x60;genomics.datasets.get&#x60; &#x60;genomics.datasets.list&#x60; &#x60;genomics.datasets.update&#x60; &#x60;genomics.datasets.getIamPolicy&#x60; * &#x60;genomics.datasets.setIamPolicy&#x60; Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest.t/0","module":"GoogleApi.Genomics.V1.Model.TestIamPermissionsRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse","module":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse","type":"module","doc":"Response message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): A subset of &#x60;TestPermissionsRequest.permissions&#x60; that the caller is allowed. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse.decode/2","module":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse.t/0","module":"GoogleApi.Genomics.V1.Model.TestIamPermissionsResponse","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Transcript.html","title":"GoogleApi.Genomics.V1.Model.Transcript","module":"GoogleApi.Genomics.V1.Model.Transcript","type":"module","doc":"A transcript represents the assertion that a particular region of the reference genome may be transcribed as RNA. Attributes codingSequence (CodingSequence): The range of the coding sequence for this transcript, if any. To determine the exact ranges of coding sequence, intersect this range with those of the exons, if any. If there are any exons, the codingSequence must start and end within them. Note that in some cases, the reference genome will not exactly match the observed mRNA transcript e.g. due to variance in the source genome from reference. In these cases, exon.frame will not necessarily match the expected reference reading frame and coding exon reference bases cannot necessarily be concatenated to produce the original transcript mRNA. Defaults to: null. exons ([Exon]): The &lt;a href&#x3D;&quot;http://en.wikipedia.org/wiki/Exon&quot;&gt;exons&lt;/a&gt; that compose this transcript. This field should be unset for genomes where transcript splicing does not occur, for example prokaryotes. Introns are regions of the transcript that are not included in the spliced RNA product. Though not explicitly modeled here, intron ranges can be deduced; all regions of this transcript that are not exons are introns. Exonic sequences do not necessarily code for a translational product (amino acids). Only the regions of exons bounded by the codingSequence correspond to coding DNA sequence. Exons are ordered by start position and may not overlap. Defaults to: null. geneId (String.t): The annotation ID of the gene from which this transcript is transcribed. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Transcript.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Transcript.decode/2","module":"GoogleApi.Genomics.V1.Model.Transcript","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Transcript.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Transcript.t/0","module":"GoogleApi.Genomics.V1.Model.Transcript","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest.html","title":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest","module":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest","type":"module","doc":"Attributes"},{"ref":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest.decode/2","module":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest.t/0","module":"GoogleApi.Genomics.V1.Model.UndeleteDatasetRequest","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.html","title":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent","module":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent","type":"module","doc":"An event generated when the execution of a container results in a non-zero exit status that was not otherwise ignored. Execution will continue, but only actions that are flagged as &#x60;ALWAYS_RUN&#x60; will be executed. Other actions will be skipped. Attributes actionId (integer()): The numeric ID of the action that started the container. Defaults to: null. exitStatus (integer()): The exit status of the container. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.t/0","module":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.Variant.html","title":"GoogleApi.Genomics.V1.Model.Variant","module":"GoogleApi.Genomics.V1.Model.Variant","type":"module","doc":"A variant represents a change in DNA sequence relative to a reference sequence. For example, a variant could represent a SNP or an insertion. Variants belong to a variant set. Each of the calls on a variant represent a determination of genotype with respect to that variant. For example, a call might assign probability of 0.32 to the occurrence of a SNP named rs1234 in a sample named NA12345. A call belongs to a call set, which contains related calls typically from one sample. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional variant information. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. alternateBases ([String.t]): The bases that appear instead of the reference bases. Defaults to: null. calls ([VariantCall]): The variant calls for this particular variant. Each one represents the determination of genotype with respect to this variant. Defaults to: null. created (String.t): The date this variant was created, in milliseconds from the epoch. Defaults to: null. end (String.t): The end position (0-based) of this variant. This corresponds to the first base after the last base in the reference allele. So, the length of the reference allele is (end - start). This is useful for variants that don&#39;t explicitly give alternate bases, for example large deletions. Defaults to: null. filter ([String.t]): A list of filters (normally quality filters) this variant has failed. &#x60;PASS&#x60; indicates this variant has passed all filters. Defaults to: null. id (String.t): The server-generated variant ID, unique across all variants. Defaults to: null. names ([String.t]): Names for the variant, for example a RefSNP ID. Defaults to: null. quality (float()): A measure of how likely this variant is to be real. A higher value is better. Defaults to: null. referenceBases (String.t): The reference bases for this variant. They start at the given position. Defaults to: null. referenceName (String.t): The reference on which this variant occurs. (such as &#x60;chr20&#x60; or &#x60;X&#x60;) Defaults to: null. start (String.t): The position at which this variant occurs (0-based). This corresponds to the first base of the string of reference bases. Defaults to: null. variantSetId (String.t): The ID of the variant set this variant belongs to. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.Variant.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Variant.decode/2","module":"GoogleApi.Genomics.V1.Model.Variant","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.Variant.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Variant.t/0","module":"GoogleApi.Genomics.V1.Model.Variant","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.VariantAnnotation.html","title":"GoogleApi.Genomics.V1.Model.VariantAnnotation","module":"GoogleApi.Genomics.V1.Model.VariantAnnotation","type":"module","doc":"Attributes alternateBases (String.t): The alternate allele for this variant. If multiple alternate alleles exist at this location, create a separate variant for each one, as they may represent distinct conditions. Defaults to: null. clinicalSignificance (String.t): Describes the clinical significance of a variant. It is adapted from the ClinVar controlled vocabulary for clinical significance described at: http://www.ncbi.nlm.nih.gov/clinvar/docs/clinsig/ Defaults to: null. Enum - one of [CLINICAL_SIGNIFICANCE_UNSPECIFIED, CLINICAL_SIGNIFICANCE_OTHER, UNCERTAIN, BENIGN, LIKELY_BENIGN, LIKELY_PATHOGENIC, PATHOGENIC, DRUG_RESPONSE, HISTOCOMPATIBILITY, CONFERS_SENSITIVITY, RISK_FACTOR, ASSOCIATION, PROTECTIVE, MULTIPLE_REPORTED] conditions ([ClinicalCondition]): The set of conditions associated with this variant. A condition describes the way a variant influences human health. Defaults to: null. effect (String.t): Effect of the variant on the coding sequence. Defaults to: null. Enum - one of [EFFECT_UNSPECIFIED, EFFECT_OTHER, FRAMESHIFT, FRAME_PRESERVING_INDEL, SYNONYMOUS_SNP, NONSYNONYMOUS_SNP, STOP_GAIN, STOP_LOSS, SPLICE_SITE_DISRUPTION] geneId (String.t): Google annotation ID of the gene affected by this variant. This should be provided when the variant is created. Defaults to: null. transcriptIds ([String.t]): Google annotation IDs of the transcripts affected by this variant. These should be provided when the variant is created. Defaults to: null. type (String.t): Type has been adapted from ClinVar&#39;s list of variant types. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, TYPE_OTHER, INSERTION, DELETION, SUBSTITUTION, SNP, STRUCTURAL, CNV]"},{"ref":"GoogleApi.Genomics.V1.Model.VariantAnnotation.html#decode/2","title":"GoogleApi.Genomics.V1.Model.VariantAnnotation.decode/2","module":"GoogleApi.Genomics.V1.Model.VariantAnnotation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.VariantAnnotation.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.VariantAnnotation.t/0","module":"GoogleApi.Genomics.V1.Model.VariantAnnotation","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.VariantCall.html","title":"GoogleApi.Genomics.V1.Model.VariantCall","module":"GoogleApi.Genomics.V1.Model.VariantCall","type":"module","doc":"A call represents the determination of genotype with respect to a particular variant. It may include associated information such as quality and phasing. For example, a call might assign a probability of 0.32 to the occurrence of a SNP named rs1234 in a call set with the name NA12345. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): A map of additional variant call information. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. callSetId (String.t): The ID of the call set this variant call belongs to. Defaults to: null. callSetName (String.t): The name of the call set this variant call belongs to. Defaults to: null. genotype ([integer()]): The genotype of this variant call. Each value represents either the value of the &#x60;referenceBases&#x60; field or a 1-based index into &#x60;alternateBases&#x60;. If a variant had a &#x60;referenceBases&#x60; value of &#x60;T&#x60; and an &#x60;alternateBases&#x60; value of &#x60;[&quot;A&quot;, &quot;C&quot;]&#x60;, and the &#x60;genotype&#x60; was &#x60;[2, 1]&#x60;, that would mean the call represented the heterozygous value &#x60;CA&#x60; for this variant. If the &#x60;genotype&#x60; was instead &#x60;[0, 1]&#x60;, the represented value would be &#x60;TA&#x60;. Ordering of the genotype values is important if the &#x60;phaseset&#x60; is present. If a genotype is not called (that is, a &#x60;.&#x60; is present in the GT string) -1 is returned. Defaults to: null. genotypeLikelihood ([float()]): The genotype likelihoods for this variant call. Each array entry represents how likely a specific genotype is for this call. The value ordering is defined by the GL tag in the VCF spec. If Phred-scaled genotype likelihood scores (PL) are available and log10(P) genotype likelihood scores (GL) are not, PL scores are converted to GL scores. If both are available, PL scores are stored in &#x60;info&#x60;. Defaults to: null. phaseset (String.t): If this field is present, this variant call&#39;s genotype ordering implies the phase of the bases and is consistent with any other variant calls in the same reference sequence which have the same phaseset value. When importing data from VCF, if the genotype data was phased but no phase set was specified this field will be set to &#x60;*&#x60;. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.VariantCall.html#decode/2","title":"GoogleApi.Genomics.V1.Model.VariantCall.decode/2","module":"GoogleApi.Genomics.V1.Model.VariantCall","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.VariantCall.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.VariantCall.t/0","module":"GoogleApi.Genomics.V1.Model.VariantCall","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.VariantSet.html","title":"GoogleApi.Genomics.V1.Model.VariantSet","module":"GoogleApi.Genomics.V1.Model.VariantSet","type":"module","doc":"A variant set is a collection of call sets and variants. It contains summary statistics of those contents. A variant set belongs to a dataset. Attributes datasetId (String.t): The dataset to which this variant set belongs. Defaults to: null. description (String.t): A textual description of this variant set. Defaults to: null. id (String.t): The server-generated variant set ID, unique across all variant sets. Defaults to: null. metadata ([VariantSetMetadata]): The metadata associated with this variant set. Defaults to: null. name (String.t): User-specified, mutable name. Defaults to: null. referenceBounds ([ReferenceBound]): A list of all references used by the variants in a variant set with associated coordinate upper bounds for each one. Defaults to: null. referenceSetId (String.t): The reference set to which the variant set is mapped. The reference set describes the alignment provenance of the variant set, while the &#x60;referenceBounds&#x60; describe the shape of the actual variant data. The reference set&#39;s reference names are a superset of those found in the &#x60;referenceBounds&#x60;. For example, given a variant set that is mapped to the GRCh38 reference set and contains a single variant on reference &#39;X&#39;, &#x60;referenceBounds&#x60; would contain only an entry for &#39;X&#39;, while the associated reference set enumerates all possible references: &#39;1&#39;, &#39;2&#39;, &#39;X&#39;, &#39;Y&#39;, &#39;MT&#39;, etc. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.VariantSet.html#decode/2","title":"GoogleApi.Genomics.V1.Model.VariantSet.decode/2","module":"GoogleApi.Genomics.V1.Model.VariantSet","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.VariantSet.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.VariantSet.t/0","module":"GoogleApi.Genomics.V1.Model.VariantSet","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.VariantSetMetadata.html","title":"GoogleApi.Genomics.V1.Model.VariantSetMetadata","module":"GoogleApi.Genomics.V1.Model.VariantSetMetadata","type":"module","doc":"Metadata describes a single piece of variant call metadata. These data include a top level key and either a single value string (value) or a list of key-value pairs (info.) Value and info are mutually exclusive. Attributes info (%{optional(String.t) &#x3D;&gt; [ErrorUnknown]}): Remaining structured metadata key-value pairs. This must be of the form map&lt;string, string[]&gt; (string key mapping to a list of string values). Defaults to: null. description (String.t): A textual description of this metadata. Defaults to: null. id (String.t): User-provided ID field, not enforced by this API. Two or more pieces of structured metadata with identical id and key fields are considered equivalent. Defaults to: null. key (String.t): The top-level key. Defaults to: null. number (String.t): The number of values that can be included in a field described by this metadata. Defaults to: null. type (String.t): The type of data. Possible types include: Integer, Float, Flag, Character, and String. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, INTEGER, FLOAT, FLAG, CHARACTER, STRING] value (String.t): The value field for simple metadata Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.VariantSetMetadata.html#decode/2","title":"GoogleApi.Genomics.V1.Model.VariantSetMetadata.decode/2","module":"GoogleApi.Genomics.V1.Model.VariantSetMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.VariantSetMetadata.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.VariantSetMetadata.t/0","module":"GoogleApi.Genomics.V1.Model.VariantSetMetadata","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.html","title":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent","module":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent","type":"module","doc":"An event generated after a worker VM has been assigned to run the pipeline. Attributes instance (String.t): The worker&#39;s instance name. Defaults to: null. zone (String.t): The zone the worker is running in. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.html","title":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent","module":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent","type":"module","doc":"An event generated when the worker VM that was assigned to the pipeline has been released (deleted). Attributes instance (String.t): The worker&#39;s instance name. Defaults to: null. zone (String.t): The zone the worker was running in. Defaults to: null."},{"ref":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.decode/2","module":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.t/0","module":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent","type":"type","doc":""},{"ref":"GoogleApi.Genomics.V1.RequestBuilder.html","title":"GoogleApi.Genomics.V1.RequestBuilder","module":"GoogleApi.Genomics.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]